Skip to main content

Class: RedTeamScansClient

Defined in: src/red-team/scans-client.ts:37

Client for Red Team data plane scan operations.

Constructors

Constructor

new RedTeamScansClient(opts): RedTeamScansClient;

Defined in: src/red-team/scans-client.ts:42

Parameters

ParameterType
optsRedTeamScansClientOptions

Returns

RedTeamScansClient

Methods

create()

create(body): Promise<objectOutputType<{
uuid: ZodString;
tsg_id: ZodString;
name: ZodString;
target: ZodObject<{
uuid: ZodString;
tsg_id: ZodString;
name: ZodString;
description: ZodOptional<ZodNullable<ZodString>>;
target_type: ZodOptional<ZodNullable<ZodString>>;
connection_type: ZodOptional<ZodNullable<ZodString>>;
api_endpoint_type: ZodOptional<ZodNullable<ZodString>>;
response_mode: ZodOptional<ZodNullable<ZodString>>;
session_supported: ZodOptional<ZodBoolean>;
extra_info: ZodOptional<ZodNullable<ZodRecord<ZodString, ZodUnknown>>>;
status: ZodString;
active: ZodBoolean;
validated: ZodBoolean;
version: ZodOptional<ZodNullable<ZodNumber>>;
secret_version: ZodOptional<ZodNullable<ZodString>>;
created_by_user_id: ZodOptional<ZodNullable<ZodString>>;
updated_by_user_id: ZodOptional<ZodNullable<ZodString>>;
created_at: ZodString;
updated_at: ZodString;
target_metadata: ZodOptional<ZodObject<{
multi_turn: ZodOptional<ZodBoolean>;
multi_turn_error_message: ZodOptional<ZodNullable<ZodString>>;
rate_limit: ZodOptional<ZodNullable<ZodNumber>>;
rate_limit_enabled: ZodOptional<ZodBoolean>;
rate_limit_error_code: ZodOptional<ZodNullable<ZodNumber>>;
rate_limit_error_json: ZodOptional<ZodNullable<ZodRecord<..., ...>>>;
rate_limit_error_message: ZodOptional<ZodNullable<ZodString>>;
content_filter_enabled: ZodOptional<ZodBoolean>;
content_filter_error_code: ZodOptional<ZodNullable<ZodNumber>>;
content_filter_error_json: ZodOptional<ZodNullable<ZodRecord<..., ...>>>;
content_filter_error_message: ZodOptional<ZodNullable<ZodString>>;
probe_message: ZodOptional<ZodString>;
request_timeout: ZodOptional<ZodNumber>;
}, "passthrough", ZodTypeAny, objectOutputType<{
multi_turn: ZodOptional<ZodBoolean>;
multi_turn_error_message: ZodOptional<ZodNullable<...>>;
rate_limit: ZodOptional<ZodNullable<...>>;
rate_limit_enabled: ZodOptional<ZodBoolean>;
rate_limit_error_code: ZodOptional<ZodNullable<...>>;
rate_limit_error_json: ZodOptional<ZodNullable<...>>;
rate_limit_error_message: ZodOptional<ZodNullable<...>>;
content_filter_enabled: ZodOptional<ZodBoolean>;
content_filter_error_code: ZodOptional<ZodNullable<...>>;
content_filter_error_json: ZodOptional<ZodNullable<...>>;
content_filter_error_message: ZodOptional<ZodNullable<...>>;
probe_message: ZodOptional<ZodString>;
request_timeout: ZodOptional<ZodNumber>;
}, ZodTypeAny, "passthrough">, objectInputType<{
multi_turn: ZodOptional<ZodBoolean>;
multi_turn_error_message: ZodOptional<ZodNullable<...>>;
rate_limit: ZodOptional<ZodNullable<...>>;
rate_limit_enabled: ZodOptional<ZodBoolean>;
rate_limit_error_code: ZodOptional<ZodNullable<...>>;
rate_limit_error_json: ZodOptional<ZodNullable<...>>;
rate_limit_error_message: ZodOptional<ZodNullable<...>>;
content_filter_enabled: ZodOptional<ZodBoolean>;
content_filter_error_code: ZodOptional<ZodNullable<...>>;
content_filter_error_json: ZodOptional<ZodNullable<...>>;
content_filter_error_message: ZodOptional<ZodNullable<...>>;
probe_message: ZodOptional<ZodString>;
request_timeout: ZodOptional<ZodNumber>;
}, ZodTypeAny, "passthrough">>>;
target_background: ZodOptional<ZodNullable<ZodObject<{
industry: ZodOptional<ZodNullable<...>>;
use_case: ZodOptional<ZodNullable<...>>;
competitors: ZodOptional<ZodNullable<...>>;
}, "passthrough", ZodTypeAny, objectOutputType<{
industry: ZodOptional<...>;
use_case: ZodOptional<...>;
competitors: ZodOptional<...>;
}, ZodTypeAny, "passthrough">, objectInputType<{
industry: ZodOptional<...>;
use_case: ZodOptional<...>;
competitors: ZodOptional<...>;
}, ZodTypeAny, "passthrough">>>>;
profiling_status: ZodOptional<ZodNullable<ZodString>>;
additional_context: ZodOptional<ZodNullable<ZodObject<{
base_model: ZodOptional<ZodNullable<...>>;
core_architecture: ZodOptional<ZodNullable<...>>;
system_prompt: ZodOptional<ZodNullable<...>>;
languages_supported: ZodOptional<ZodNullable<...>>;
banned_keywords: ZodOptional<ZodNullable<...>>;
tools_accessible: ZodOptional<ZodNullable<...>>;
}, "passthrough", ZodTypeAny, objectOutputType<{
base_model: ZodOptional<...>;
core_architecture: ZodOptional<...>;
system_prompt: ZodOptional<...>;
languages_supported: ZodOptional<...>;
banned_keywords: ZodOptional<...>;
tools_accessible: ZodOptional<...>;
}, ZodTypeAny, "passthrough">, objectInputType<{
base_model: ZodOptional<...>;
core_architecture: ZodOptional<...>;
system_prompt: ZodOptional<...>;
languages_supported: ZodOptional<...>;
banned_keywords: ZodOptional<...>;
tools_accessible: ZodOptional<...>;
}, ZodTypeAny, "passthrough">>>>;
auth_type: ZodOptional<ZodNullable<ZodString>>;
}, "passthrough", ZodTypeAny, objectOutputType<{
uuid: ZodString;
tsg_id: ZodString;
name: ZodString;
description: ZodOptional<ZodNullable<ZodString>>;
target_type: ZodOptional<ZodNullable<ZodString>>;
connection_type: ZodOptional<ZodNullable<ZodString>>;
api_endpoint_type: ZodOptional<ZodNullable<ZodString>>;
response_mode: ZodOptional<ZodNullable<ZodString>>;
session_supported: ZodOptional<ZodBoolean>;
extra_info: ZodOptional<ZodNullable<ZodRecord<ZodString, ZodUnknown>>>;
status: ZodString;
active: ZodBoolean;
validated: ZodBoolean;
version: ZodOptional<ZodNullable<ZodNumber>>;
secret_version: ZodOptional<ZodNullable<ZodString>>;
created_by_user_id: ZodOptional<ZodNullable<ZodString>>;
updated_by_user_id: ZodOptional<ZodNullable<ZodString>>;
created_at: ZodString;
updated_at: ZodString;
target_metadata: ZodOptional<ZodObject<{
multi_turn: ZodOptional<ZodBoolean>;
multi_turn_error_message: ZodOptional<ZodNullable<...>>;
rate_limit: ZodOptional<ZodNullable<...>>;
rate_limit_enabled: ZodOptional<ZodBoolean>;
rate_limit_error_code: ZodOptional<ZodNullable<...>>;
rate_limit_error_json: ZodOptional<ZodNullable<...>>;
rate_limit_error_message: ZodOptional<ZodNullable<...>>;
content_filter_enabled: ZodOptional<ZodBoolean>;
content_filter_error_code: ZodOptional<ZodNullable<...>>;
content_filter_error_json: ZodOptional<ZodNullable<...>>;
content_filter_error_message: ZodOptional<ZodNullable<...>>;
probe_message: ZodOptional<ZodString>;
request_timeout: ZodOptional<ZodNumber>;
}, "passthrough", ZodTypeAny, objectOutputType<{
multi_turn: ZodOptional<...>;
multi_turn_error_message: ZodOptional<...>;
rate_limit: ZodOptional<...>;
rate_limit_enabled: ZodOptional<...>;
rate_limit_error_code: ZodOptional<...>;
rate_limit_error_json: ZodOptional<...>;
rate_limit_error_message: ZodOptional<...>;
content_filter_enabled: ZodOptional<...>;
content_filter_error_code: ZodOptional<...>;
content_filter_error_json: ZodOptional<...>;
content_filter_error_message: ZodOptional<...>;
probe_message: ZodOptional<...>;
request_timeout: ZodOptional<...>;
}, ZodTypeAny, "passthrough">, objectInputType<{
multi_turn: ZodOptional<...>;
multi_turn_error_message: ZodOptional<...>;
rate_limit: ZodOptional<...>;
rate_limit_enabled: ZodOptional<...>;
rate_limit_error_code: ZodOptional<...>;
rate_limit_error_json: ZodOptional<...>;
rate_limit_error_message: ZodOptional<...>;
content_filter_enabled: ZodOptional<...>;
content_filter_error_code: ZodOptional<...>;
content_filter_error_json: ZodOptional<...>;
content_filter_error_message: ZodOptional<...>;
probe_message: ZodOptional<...>;
request_timeout: ZodOptional<...>;
}, ZodTypeAny, "passthrough">>>;
target_background: ZodOptional<ZodNullable<ZodObject<{
industry: ZodOptional<...>;
use_case: ZodOptional<...>;
competitors: ZodOptional<...>;
}, "passthrough", ZodTypeAny, objectOutputType<{
industry: ...;
use_case: ...;
competitors: ...;
}, ZodTypeAny, "passthrough">, objectInputType<{
industry: ...;
use_case: ...;
competitors: ...;
}, ZodTypeAny, "passthrough">>>>;
profiling_status: ZodOptional<ZodNullable<ZodString>>;
additional_context: ZodOptional<ZodNullable<ZodObject<{
base_model: ZodOptional<...>;
core_architecture: ZodOptional<...>;
system_prompt: ZodOptional<...>;
languages_supported: ZodOptional<...>;
banned_keywords: ZodOptional<...>;
tools_accessible: ZodOptional<...>;
}, "passthrough", ZodTypeAny, objectOutputType<{
base_model: ...;
core_architecture: ...;
system_prompt: ...;
languages_supported: ...;
banned_keywords: ...;
tools_accessible: ...;
}, ZodTypeAny, "passthrough">, objectInputType<{
base_model: ...;
core_architecture: ...;
system_prompt: ...;
languages_supported: ...;
banned_keywords: ...;
tools_accessible: ...;
}, ZodTypeAny, "passthrough">>>>;
auth_type: ZodOptional<ZodNullable<ZodString>>;
}, ZodTypeAny, "passthrough">, objectInputType<{
uuid: ZodString;
tsg_id: ZodString;
name: ZodString;
description: ZodOptional<ZodNullable<ZodString>>;
target_type: ZodOptional<ZodNullable<ZodString>>;
connection_type: ZodOptional<ZodNullable<ZodString>>;
api_endpoint_type: ZodOptional<ZodNullable<ZodString>>;
response_mode: ZodOptional<ZodNullable<ZodString>>;
session_supported: ZodOptional<ZodBoolean>;
extra_info: ZodOptional<ZodNullable<ZodRecord<ZodString, ZodUnknown>>>;
status: ZodString;
active: ZodBoolean;
validated: ZodBoolean;
version: ZodOptional<ZodNullable<ZodNumber>>;
secret_version: ZodOptional<ZodNullable<ZodString>>;
created_by_user_id: ZodOptional<ZodNullable<ZodString>>;
updated_by_user_id: ZodOptional<ZodNullable<ZodString>>;
created_at: ZodString;
updated_at: ZodString;
target_metadata: ZodOptional<ZodObject<{
multi_turn: ZodOptional<ZodBoolean>;
multi_turn_error_message: ZodOptional<ZodNullable<...>>;
rate_limit: ZodOptional<ZodNullable<...>>;
rate_limit_enabled: ZodOptional<ZodBoolean>;
rate_limit_error_code: ZodOptional<ZodNullable<...>>;
rate_limit_error_json: ZodOptional<ZodNullable<...>>;
rate_limit_error_message: ZodOptional<ZodNullable<...>>;
content_filter_enabled: ZodOptional<ZodBoolean>;
content_filter_error_code: ZodOptional<ZodNullable<...>>;
content_filter_error_json: ZodOptional<ZodNullable<...>>;
content_filter_error_message: ZodOptional<ZodNullable<...>>;
probe_message: ZodOptional<ZodString>;
request_timeout: ZodOptional<ZodNumber>;
}, "passthrough", ZodTypeAny, objectOutputType<{
multi_turn: ZodOptional<...>;
multi_turn_error_message: ZodOptional<...>;
rate_limit: ZodOptional<...>;
rate_limit_enabled: ZodOptional<...>;
rate_limit_error_code: ZodOptional<...>;
rate_limit_error_json: ZodOptional<...>;
rate_limit_error_message: ZodOptional<...>;
content_filter_enabled: ZodOptional<...>;
content_filter_error_code: ZodOptional<...>;
content_filter_error_json: ZodOptional<...>;
content_filter_error_message: ZodOptional<...>;
probe_message: ZodOptional<...>;
request_timeout: ZodOptional<...>;
}, ZodTypeAny, "passthrough">, objectInputType<{
multi_turn: ZodOptional<...>;
multi_turn_error_message: ZodOptional<...>;
rate_limit: ZodOptional<...>;
rate_limit_enabled: ZodOptional<...>;
rate_limit_error_code: ZodOptional<...>;
rate_limit_error_json: ZodOptional<...>;
rate_limit_error_message: ZodOptional<...>;
content_filter_enabled: ZodOptional<...>;
content_filter_error_code: ZodOptional<...>;
content_filter_error_json: ZodOptional<...>;
content_filter_error_message: ZodOptional<...>;
probe_message: ZodOptional<...>;
request_timeout: ZodOptional<...>;
}, ZodTypeAny, "passthrough">>>;
target_background: ZodOptional<ZodNullable<ZodObject<{
industry: ZodOptional<...>;
use_case: ZodOptional<...>;
competitors: ZodOptional<...>;
}, "passthrough", ZodTypeAny, objectOutputType<{
industry: ...;
use_case: ...;
competitors: ...;
}, ZodTypeAny, "passthrough">, objectInputType<{
industry: ...;
use_case: ...;
competitors: ...;
}, ZodTypeAny, "passthrough">>>>;
profiling_status: ZodOptional<ZodNullable<ZodString>>;
additional_context: ZodOptional<ZodNullable<ZodObject<{
base_model: ZodOptional<...>;
core_architecture: ZodOptional<...>;
system_prompt: ZodOptional<...>;
languages_supported: ZodOptional<...>;
banned_keywords: ZodOptional<...>;
tools_accessible: ZodOptional<...>;
}, "passthrough", ZodTypeAny, objectOutputType<{
base_model: ...;
core_architecture: ...;
system_prompt: ...;
languages_supported: ...;
banned_keywords: ...;
tools_accessible: ...;
}, ZodTypeAny, "passthrough">, objectInputType<{
base_model: ...;
core_architecture: ...;
system_prompt: ...;
languages_supported: ...;
banned_keywords: ...;
tools_accessible: ...;
}, ZodTypeAny, "passthrough">>>>;
auth_type: ZodOptional<ZodNullable<ZodString>>;
}, ZodTypeAny, "passthrough">>;
job_type: ZodString;
job_metadata: ZodUnknown;
version: ZodOptional<ZodNullable<ZodNumber>>;
extra_info: ZodOptional<ZodNullable<ZodRecord<ZodString, ZodUnknown>>>;
target_id: ZodString;
target_type: ZodString;
total: ZodOptional<ZodNullable<ZodNumber>>;
completed: ZodOptional<ZodNullable<ZodNumber>>;
status: ZodOptional<ZodString>;
score: ZodOptional<ZodNullable<ZodNumber>>;
asr: ZodOptional<ZodNullable<ZodNumber>>;
time_record: ZodOptional<ZodNullable<ZodObject<{
queued_at: ZodOptional<ZodNullable<ZodString>>;
started_at: ZodOptional<ZodNullable<ZodString>>;
completed_at: ZodOptional<ZodNullable<ZodString>>;
time_taken: ZodOptional<ZodNullable<ZodString>>;
}, "passthrough", ZodTypeAny, objectOutputType<{
queued_at: ZodOptional<ZodNullable<ZodString>>;
started_at: ZodOptional<ZodNullable<ZodString>>;
completed_at: ZodOptional<ZodNullable<ZodString>>;
time_taken: ZodOptional<ZodNullable<ZodString>>;
}, ZodTypeAny, "passthrough">, objectInputType<{
queued_at: ZodOptional<ZodNullable<ZodString>>;
started_at: ZodOptional<ZodNullable<ZodString>>;
completed_at: ZodOptional<ZodNullable<ZodString>>;
time_taken: ZodOptional<ZodNullable<ZodString>>;
}, ZodTypeAny, "passthrough">>>>;
created_at: ZodOptional<ZodNullable<ZodString>>;
updated_at: ZodOptional<ZodNullable<ZodString>>;
created_by_user_id: ZodOptional<ZodNullable<ZodString>>;
report_stats: ZodOptional<ZodUnknown>;
metering_quota_uuid: ZodOptional<ZodNullable<ZodString>>;
counted_towards_quota: ZodOptional<ZodString>;
invocation_id: ZodOptional<ZodNullable<ZodString>>;
}, ZodTypeAny, "passthrough">>;

Defined in: src/red-team/scans-client.ts:67

Create a new red team scan job.

Parameters

ParameterTypeDescription
bodyobjectOutputTypeJob creation request body.

Returns

Promise<objectOutputType<{ uuid: ZodString; tsg_id: ZodString; name: ZodString; target: ZodObject<{ uuid: ZodString; tsg_id: ZodString; name: ZodString; description: ZodOptional<ZodNullable<ZodString>>; target_type: ZodOptional<ZodNullable<ZodString>>; connection_type: ZodOptional<ZodNullable<ZodString>>; api_endpoint_type: ZodOptional<ZodNullable<ZodString>>; response_mode: ZodOptional<ZodNullable<ZodString>>; session_supported: ZodOptional<ZodBoolean>; extra_info: ZodOptional<ZodNullable<ZodRecord<ZodString, ZodUnknown>>>; status: ZodString; active: ZodBoolean; validated: ZodBoolean; version: ZodOptional<ZodNullable<ZodNumber>>; secret_version: ZodOptional<ZodNullable<ZodString>>; created_by_user_id: ZodOptional<ZodNullable<ZodString>>; updated_by_user_id: ZodOptional<ZodNullable<ZodString>>; created_at: ZodString; updated_at: ZodString; target_metadata: ZodOptional<ZodObject<{ multi_turn: ZodOptional<ZodBoolean>; multi_turn_error_message: ZodOptional<ZodNullable<ZodString>>; rate_limit: ZodOptional<ZodNullable<ZodNumber>>; rate_limit_enabled: ZodOptional<ZodBoolean>; rate_limit_error_code: ZodOptional<ZodNullable<ZodNumber>>; rate_limit_error_json: ZodOptional<ZodNullable<ZodRecord<..., ...>>>; rate_limit_error_message: ZodOptional<ZodNullable<ZodString>>; content_filter_enabled: ZodOptional<ZodBoolean>; content_filter_error_code: ZodOptional<ZodNullable<ZodNumber>>; content_filter_error_json: ZodOptional<ZodNullable<ZodRecord<..., ...>>>; content_filter_error_message: ZodOptional<ZodNullable<ZodString>>; probe_message: ZodOptional<ZodString>; request_timeout: ZodOptional<ZodNumber>; }, "passthrough", ZodTypeAny, objectOutputType<{ multi_turn: ZodOptional<ZodBoolean>; multi_turn_error_message: ZodOptional<ZodNullable<...>>; rate_limit: ZodOptional<ZodNullable<...>>; rate_limit_enabled: ZodOptional<ZodBoolean>; rate_limit_error_code: ZodOptional<ZodNullable<...>>; rate_limit_error_json: ZodOptional<ZodNullable<...>>; rate_limit_error_message: ZodOptional<ZodNullable<...>>; content_filter_enabled: ZodOptional<ZodBoolean>; content_filter_error_code: ZodOptional<ZodNullable<...>>; content_filter_error_json: ZodOptional<ZodNullable<...>>; content_filter_error_message: ZodOptional<ZodNullable<...>>; probe_message: ZodOptional<ZodString>; request_timeout: ZodOptional<ZodNumber>; }, ZodTypeAny, "passthrough">, objectInputType<{ multi_turn: ZodOptional<ZodBoolean>; multi_turn_error_message: ZodOptional<ZodNullable<...>>; rate_limit: ZodOptional<ZodNullable<...>>; rate_limit_enabled: ZodOptional<ZodBoolean>; rate_limit_error_code: ZodOptional<ZodNullable<...>>; rate_limit_error_json: ZodOptional<ZodNullable<...>>; rate_limit_error_message: ZodOptional<ZodNullable<...>>; content_filter_enabled: ZodOptional<ZodBoolean>; content_filter_error_code: ZodOptional<ZodNullable<...>>; content_filter_error_json: ZodOptional<ZodNullable<...>>; content_filter_error_message: ZodOptional<ZodNullable<...>>; probe_message: ZodOptional<ZodString>; request_timeout: ZodOptional<ZodNumber>; }, ZodTypeAny, "passthrough">>>; target_background: ZodOptional<ZodNullable<ZodObject<{ industry: ZodOptional<ZodNullable<...>>; use_case: ZodOptional<ZodNullable<...>>; competitors: ZodOptional<ZodNullable<...>>; }, "passthrough", ZodTypeAny, objectOutputType<{ industry: ZodOptional<...>; use_case: ZodOptional<...>; competitors: ZodOptional<...>; }, ZodTypeAny, "passthrough">, objectInputType<{ industry: ZodOptional<...>; use_case: ZodOptional<...>; competitors: ZodOptional<...>; }, ZodTypeAny, "passthrough">>>>; profiling_status: ZodOptional<ZodNullable<ZodString>>; additional_context: ZodOptional<ZodNullable<ZodObject<{ base_model: ZodOptional<ZodNullable<...>>; core_architecture: ZodOptional<ZodNullable<...>>; system_prompt: ZodOptional<ZodNullable<...>>; languages_supported: ZodOptional<ZodNullable<...>>; banned_keywords: ZodOptional<ZodNullable<...>>; tools_accessible: ZodOptional<ZodNullable<...>>; }, "passthrough", ZodTypeAny, objectOutputType<{ base_model: ZodOptional<...>; core_architecture: ZodOptional<...>; system_prompt: ZodOptional<...>; languages_supported: ZodOptional<...>; banned_keywords: ZodOptional<...>; tools_accessible: ZodOptional<...>; }, ZodTypeAny, "passthrough">, objectInputType<{ base_model: ZodOptional<...>; core_architecture: ZodOptional<...>; system_prompt: ZodOptional<...>; languages_supported: ZodOptional<...>; banned_keywords: ZodOptional<...>; tools_accessible: ZodOptional<...>; }, ZodTypeAny, "passthrough">>>>; auth_type: ZodOptional<ZodNullable<ZodString>>; }, "passthrough", ZodTypeAny, objectOutputType<{ uuid: ZodString; tsg_id: ZodString; name: ZodString; description: ZodOptional<ZodNullable<ZodString>>; target_type: ZodOptional<ZodNullable<ZodString>>; connection_type: ZodOptional<ZodNullable<ZodString>>; api_endpoint_type: ZodOptional<ZodNullable<ZodString>>; response_mode: ZodOptional<ZodNullable<ZodString>>; session_supported: ZodOptional<ZodBoolean>; extra_info: ZodOptional<ZodNullable<ZodRecord<ZodString, ZodUnknown>>>; status: ZodString; active: ZodBoolean; validated: ZodBoolean; version: ZodOptional<ZodNullable<ZodNumber>>; secret_version: ZodOptional<ZodNullable<ZodString>>; created_by_user_id: ZodOptional<ZodNullable<ZodString>>; updated_by_user_id: ZodOptional<ZodNullable<ZodString>>; created_at: ZodString; updated_at: ZodString; target_metadata: ZodOptional<ZodObject<{ multi_turn: ZodOptional<ZodBoolean>; multi_turn_error_message: ZodOptional<ZodNullable<...>>; rate_limit: ZodOptional<ZodNullable<...>>; rate_limit_enabled: ZodOptional<ZodBoolean>; rate_limit_error_code: ZodOptional<ZodNullable<...>>; rate_limit_error_json: ZodOptional<ZodNullable<...>>; rate_limit_error_message: ZodOptional<ZodNullable<...>>; content_filter_enabled: ZodOptional<ZodBoolean>; content_filter_error_code: ZodOptional<ZodNullable<...>>; content_filter_error_json: ZodOptional<ZodNullable<...>>; content_filter_error_message: ZodOptional<ZodNullable<...>>; probe_message: ZodOptional<ZodString>; request_timeout: ZodOptional<ZodNumber>; }, "passthrough", ZodTypeAny, objectOutputType<{ multi_turn: ZodOptional<...>; multi_turn_error_message: ZodOptional<...>; rate_limit: ZodOptional<...>; rate_limit_enabled: ZodOptional<...>; rate_limit_error_code: ZodOptional<...>; rate_limit_error_json: ZodOptional<...>; rate_limit_error_message: ZodOptional<...>; content_filter_enabled: ZodOptional<...>; content_filter_error_code: ZodOptional<...>; content_filter_error_json: ZodOptional<...>; content_filter_error_message: ZodOptional<...>; probe_message: ZodOptional<...>; request_timeout: ZodOptional<...>; }, ZodTypeAny, "passthrough">, objectInputType<{ multi_turn: ZodOptional<...>; multi_turn_error_message: ZodOptional<...>; rate_limit: ZodOptional<...>; rate_limit_enabled: ZodOptional<...>; rate_limit_error_code: ZodOptional<...>; rate_limit_error_json: ZodOptional<...>; rate_limit_error_message: ZodOptional<...>; content_filter_enabled: ZodOptional<...>; content_filter_error_code: ZodOptional<...>; content_filter_error_json: ZodOptional<...>; content_filter_error_message: ZodOptional<...>; probe_message: ZodOptional<...>; request_timeout: ZodOptional<...>; }, ZodTypeAny, "passthrough">>>; target_background: ZodOptional<ZodNullable<ZodObject<{ industry: ZodOptional<...>; use_case: ZodOptional<...>; competitors: ZodOptional<...>; }, "passthrough", ZodTypeAny, objectOutputType<{ industry: ...; use_case: ...; competitors: ...; }, ZodTypeAny, "passthrough">, objectInputType<{ industry: ...; use_case: ...; competitors: ...; }, ZodTypeAny, "passthrough">>>>; profiling_status: ZodOptional<ZodNullable<ZodString>>; additional_context: ZodOptional<ZodNullable<ZodObject<{ base_model: ZodOptional<...>; core_architecture: ZodOptional<...>; system_prompt: ZodOptional<...>; languages_supported: ZodOptional<...>; banned_keywords: ZodOptional<...>; tools_accessible: ZodOptional<...>; }, "passthrough", ZodTypeAny, objectOutputType<{ base_model: ...; core_architecture: ...; system_prompt: ...; languages_supported: ...; banned_keywords: ...; tools_accessible: ...; }, ZodTypeAny, "passthrough">, objectInputType<{ base_model: ...; core_architecture: ...; system_prompt: ...; languages_supported: ...; banned_keywords: ...; tools_accessible: ...; }, ZodTypeAny, "passthrough">>>>; auth_type: ZodOptional<ZodNullable<ZodString>>; }, ZodTypeAny, "passthrough">, objectInputType<{ uuid: ZodString; tsg_id: ZodString; name: ZodString; description: ZodOptional<ZodNullable<ZodString>>; target_type: ZodOptional<ZodNullable<ZodString>>; connection_type: ZodOptional<ZodNullable<ZodString>>; api_endpoint_type: ZodOptional<ZodNullable<ZodString>>; response_mode: ZodOptional<ZodNullable<ZodString>>; session_supported: ZodOptional<ZodBoolean>; extra_info: ZodOptional<ZodNullable<ZodRecord<ZodString, ZodUnknown>>>; status: ZodString; active: ZodBoolean; validated: ZodBoolean; version: ZodOptional<ZodNullable<ZodNumber>>; secret_version: ZodOptional<ZodNullable<ZodString>>; created_by_user_id: ZodOptional<ZodNullable<ZodString>>; updated_by_user_id: ZodOptional<ZodNullable<ZodString>>; created_at: ZodString; updated_at: ZodString; target_metadata: ZodOptional<ZodObject<{ multi_turn: ZodOptional<ZodBoolean>; multi_turn_error_message: ZodOptional<ZodNullable<...>>; rate_limit: ZodOptional<ZodNullable<...>>; rate_limit_enabled: ZodOptional<ZodBoolean>; rate_limit_error_code: ZodOptional<ZodNullable<...>>; rate_limit_error_json: ZodOptional<ZodNullable<...>>; rate_limit_error_message: ZodOptional<ZodNullable<...>>; content_filter_enabled: ZodOptional<ZodBoolean>; content_filter_error_code: ZodOptional<ZodNullable<...>>; content_filter_error_json: ZodOptional<ZodNullable<...>>; content_filter_error_message: ZodOptional<ZodNullable<...>>; probe_message: ZodOptional<ZodString>; request_timeout: ZodOptional<ZodNumber>; }, "passthrough", ZodTypeAny, objectOutputType<{ multi_turn: ZodOptional<...>; multi_turn_error_message: ZodOptional<...>; rate_limit: ZodOptional<...>; rate_limit_enabled: ZodOptional<...>; rate_limit_error_code: ZodOptional<...>; rate_limit_error_json: ZodOptional<...>; rate_limit_error_message: ZodOptional<...>; content_filter_enabled: ZodOptional<...>; content_filter_error_code: ZodOptional<...>; content_filter_error_json: ZodOptional<...>; content_filter_error_message: ZodOptional<...>; probe_message: ZodOptional<...>; request_timeout: ZodOptional<...>; }, ZodTypeAny, "passthrough">, objectInputType<{ multi_turn: ZodOptional<...>; multi_turn_error_message: ZodOptional<...>; rate_limit: ZodOptional<...>; rate_limit_enabled: ZodOptional<...>; rate_limit_error_code: ZodOptional<...>; rate_limit_error_json: ZodOptional<...>; rate_limit_error_message: ZodOptional<...>; content_filter_enabled: ZodOptional<...>; content_filter_error_code: ZodOptional<...>; content_filter_error_json: ZodOptional<...>; content_filter_error_message: ZodOptional<...>; probe_message: ZodOptional<...>; request_timeout: ZodOptional<...>; }, ZodTypeAny, "passthrough">>>; target_background: ZodOptional<ZodNullable<ZodObject<{ industry: ZodOptional<...>; use_case: ZodOptional<...>; competitors: ZodOptional<...>; }, "passthrough", ZodTypeAny, objectOutputType<{ industry: ...; use_case: ...; competitors: ...; }, ZodTypeAny, "passthrough">, objectInputType<{ industry: ...; use_case: ...; competitors: ...; }, ZodTypeAny, "passthrough">>>>; profiling_status: ZodOptional<ZodNullable<ZodString>>; additional_context: ZodOptional<ZodNullable<ZodObject<{ base_model: ZodOptional<...>; core_architecture: ZodOptional<...>; system_prompt: ZodOptional<...>; languages_supported: ZodOptional<...>; banned_keywords: ZodOptional<...>; tools_accessible: ZodOptional<...>; }, "passthrough", ZodTypeAny, objectOutputType<{ base_model: ...; core_architecture: ...; system_prompt: ...; languages_supported: ...; banned_keywords: ...; tools_accessible: ...; }, ZodTypeAny, "passthrough">, objectInputType<{ base_model: ...; core_architecture: ...; system_prompt: ...; languages_supported: ...; banned_keywords: ...; tools_accessible: ...; }, ZodTypeAny, "passthrough">>>>; auth_type: ZodOptional<ZodNullable<ZodString>>; }, ZodTypeAny, "passthrough">>; job_type: ZodString; job_metadata: ZodUnknown; version: ZodOptional<ZodNullable<ZodNumber>>; extra_info: ZodOptional<ZodNullable<ZodRecord<ZodString, ZodUnknown>>>; target_id: ZodString; target_type: ZodString; total: ZodOptional<ZodNullable<ZodNumber>>; completed: ZodOptional<ZodNullable<ZodNumber>>; status: ZodOptional<ZodString>; score: ZodOptional<ZodNullable<ZodNumber>>; asr: ZodOptional<ZodNullable<ZodNumber>>; time_record: ZodOptional<ZodNullable<ZodObject<{ queued_at: ZodOptional<ZodNullable<ZodString>>; started_at: ZodOptional<ZodNullable<ZodString>>; completed_at: ZodOptional<ZodNullable<ZodString>>; time_taken: ZodOptional<ZodNullable<ZodString>>; }, "passthrough", ZodTypeAny, objectOutputType<{ queued_at: ZodOptional<ZodNullable<ZodString>>; started_at: ZodOptional<ZodNullable<ZodString>>; completed_at: ZodOptional<ZodNullable<ZodString>>; time_taken: ZodOptional<ZodNullable<ZodString>>; }, ZodTypeAny, "passthrough">, objectInputType<{ queued_at: ZodOptional<ZodNullable<ZodString>>; started_at: ZodOptional<ZodNullable<ZodString>>; completed_at: ZodOptional<ZodNullable<ZodString>>; time_taken: ZodOptional<ZodNullable<ZodString>>; }, ZodTypeAny, "passthrough">>>>; created_at: ZodOptional<ZodNullable<ZodString>>; updated_at: ZodOptional<ZodNullable<ZodString>>; created_by_user_id: ZodOptional<ZodNullable<ZodString>>; report_stats: ZodOptional<ZodUnknown>; metering_quota_uuid: ZodOptional<ZodNullable<ZodString>>; counted_towards_quota: ZodOptional<ZodString>; invocation_id: ZodOptional<ZodNullable<ZodString>>; }, ZodTypeAny, "passthrough">>

The created job response.

Example

import { RedTeamClient } from '@cdot65/prisma-airs-sdk';
const rt = new RedTeamClient();

const job = await rt.scans.create({
name: 'nightly-static-scan',
target: { uuid: '550e8400-e29b-41d4-a716-446655440000' },
job_type: 'STATIC',
job_metadata: {},
});
// job =>
// { uuid: '550e8400-...', name: 'nightly-static-scan', status: 'QUEUED', job_type: 'STATIC' }

list()

list(opts?): Promise<objectOutputType<{
pagination: ZodObject<{
total_items: ZodOptional<ZodNullable<ZodNumber>>;
}, "passthrough", ZodTypeAny, objectOutputType<{
total_items: ZodOptional<ZodNullable<ZodNumber>>;
}, ZodTypeAny, "passthrough">, objectInputType<{
total_items: ZodOptional<ZodNullable<ZodNumber>>;
}, ZodTypeAny, "passthrough">>;
data: ZodArray<ZodObject<{
uuid: ZodString;
tsg_id: ZodString;
name: ZodString;
target: ZodObject<{
uuid: ZodString;
tsg_id: ZodString;
name: ZodString;
description: ZodOptional<ZodNullable<ZodString>>;
target_type: ZodOptional<ZodNullable<ZodString>>;
connection_type: ZodOptional<ZodNullable<ZodString>>;
api_endpoint_type: ZodOptional<ZodNullable<ZodString>>;
response_mode: ZodOptional<ZodNullable<ZodString>>;
session_supported: ZodOptional<ZodBoolean>;
extra_info: ZodOptional<ZodNullable<ZodRecord<..., ...>>>;
status: ZodString;
active: ZodBoolean;
validated: ZodBoolean;
version: ZodOptional<ZodNullable<ZodNumber>>;
secret_version: ZodOptional<ZodNullable<ZodString>>;
created_by_user_id: ZodOptional<ZodNullable<ZodString>>;
updated_by_user_id: ZodOptional<ZodNullable<ZodString>>;
created_at: ZodString;
updated_at: ZodString;
target_metadata: ZodOptional<ZodObject<{
multi_turn: ...;
multi_turn_error_message: ...;
rate_limit: ...;
rate_limit_enabled: ...;
rate_limit_error_code: ...;
rate_limit_error_json: ...;
rate_limit_error_message: ...;
content_filter_enabled: ...;
content_filter_error_code: ...;
content_filter_error_json: ...;
content_filter_error_message: ...;
probe_message: ...;
request_timeout: ...;
}, "passthrough", ZodTypeAny, objectOutputType<..., ..., ...>, objectInputType<..., ..., ...>>>;
target_background: ZodOptional<ZodNullable<ZodObject<..., ..., ..., ..., ...>>>;
profiling_status: ZodOptional<ZodNullable<ZodString>>;
additional_context: ZodOptional<ZodNullable<ZodObject<..., ..., ..., ..., ...>>>;
auth_type: ZodOptional<ZodNullable<ZodString>>;
}, "passthrough", ZodTypeAny, objectOutputType<{
uuid: ZodString;
tsg_id: ZodString;
name: ZodString;
description: ZodOptional<ZodNullable<...>>;
target_type: ZodOptional<ZodNullable<...>>;
connection_type: ZodOptional<ZodNullable<...>>;
api_endpoint_type: ZodOptional<ZodNullable<...>>;
response_mode: ZodOptional<ZodNullable<...>>;
session_supported: ZodOptional<ZodBoolean>;
extra_info: ZodOptional<ZodNullable<...>>;
status: ZodString;
active: ZodBoolean;
validated: ZodBoolean;
version: ZodOptional<ZodNullable<...>>;
secret_version: ZodOptional<ZodNullable<...>>;
created_by_user_id: ZodOptional<ZodNullable<...>>;
updated_by_user_id: ZodOptional<ZodNullable<...>>;
created_at: ZodString;
updated_at: ZodString;
target_metadata: ZodOptional<ZodObject<..., ..., ..., ..., ...>>;
target_background: ZodOptional<ZodNullable<...>>;
profiling_status: ZodOptional<ZodNullable<...>>;
additional_context: ZodOptional<ZodNullable<...>>;
auth_type: ZodOptional<ZodNullable<...>>;
}, ZodTypeAny, "passthrough">, objectInputType<{
uuid: ZodString;
tsg_id: ZodString;
name: ZodString;
description: ZodOptional<ZodNullable<...>>;
target_type: ZodOptional<ZodNullable<...>>;
connection_type: ZodOptional<ZodNullable<...>>;
api_endpoint_type: ZodOptional<ZodNullable<...>>;
response_mode: ZodOptional<ZodNullable<...>>;
session_supported: ZodOptional<ZodBoolean>;
extra_info: ZodOptional<ZodNullable<...>>;
status: ZodString;
active: ZodBoolean;
validated: ZodBoolean;
version: ZodOptional<ZodNullable<...>>;
secret_version: ZodOptional<ZodNullable<...>>;
created_by_user_id: ZodOptional<ZodNullable<...>>;
updated_by_user_id: ZodOptional<ZodNullable<...>>;
created_at: ZodString;
updated_at: ZodString;
target_metadata: ZodOptional<ZodObject<..., ..., ..., ..., ...>>;
target_background: ZodOptional<ZodNullable<...>>;
profiling_status: ZodOptional<ZodNullable<...>>;
additional_context: ZodOptional<ZodNullable<...>>;
auth_type: ZodOptional<ZodNullable<...>>;
}, ZodTypeAny, "passthrough">>;
job_type: ZodString;
job_metadata: ZodUnknown;
version: ZodOptional<ZodNullable<ZodNumber>>;
extra_info: ZodOptional<ZodNullable<ZodRecord<ZodString, ZodUnknown>>>;
target_id: ZodString;
target_type: ZodString;
total: ZodOptional<ZodNullable<ZodNumber>>;
completed: ZodOptional<ZodNullable<ZodNumber>>;
status: ZodOptional<ZodString>;
score: ZodOptional<ZodNullable<ZodNumber>>;
asr: ZodOptional<ZodNullable<ZodNumber>>;
time_record: ZodOptional<ZodNullable<ZodObject<{
queued_at: ZodOptional<...>;
started_at: ZodOptional<...>;
completed_at: ZodOptional<...>;
time_taken: ZodOptional<...>;
}, "passthrough", ZodTypeAny, objectOutputType<{
queued_at: ...;
started_at: ...;
completed_at: ...;
time_taken: ...;
}, ZodTypeAny, "passthrough">, objectInputType<{
queued_at: ...;
started_at: ...;
completed_at: ...;
time_taken: ...;
}, ZodTypeAny, "passthrough">>>>;
created_at: ZodOptional<ZodNullable<ZodString>>;
updated_at: ZodOptional<ZodNullable<ZodString>>;
created_by_user_id: ZodOptional<ZodNullable<ZodString>>;
report_stats: ZodOptional<ZodUnknown>;
metering_quota_uuid: ZodOptional<ZodNullable<ZodString>>;
counted_towards_quota: ZodOptional<ZodString>;
invocation_id: ZodOptional<ZodNullable<ZodString>>;
}, "passthrough", ZodTypeAny, objectOutputType<{
uuid: ZodString;
tsg_id: ZodString;
name: ZodString;
target: ZodObject<{
uuid: ZodString;
tsg_id: ZodString;
name: ZodString;
description: ZodOptional<ZodNullable<...>>;
target_type: ZodOptional<ZodNullable<...>>;
connection_type: ZodOptional<ZodNullable<...>>;
api_endpoint_type: ZodOptional<ZodNullable<...>>;
response_mode: ZodOptional<ZodNullable<...>>;
session_supported: ZodOptional<ZodBoolean>;
extra_info: ZodOptional<ZodNullable<...>>;
status: ZodString;
active: ZodBoolean;
validated: ZodBoolean;
version: ZodOptional<ZodNullable<...>>;
secret_version: ZodOptional<ZodNullable<...>>;
created_by_user_id: ZodOptional<ZodNullable<...>>;
updated_by_user_id: ZodOptional<ZodNullable<...>>;
created_at: ZodString;
updated_at: ZodString;
target_metadata: ZodOptional<ZodObject<..., ..., ..., ..., ...>>;
target_background: ZodOptional<ZodNullable<...>>;
profiling_status: ZodOptional<ZodNullable<...>>;
additional_context: ZodOptional<ZodNullable<...>>;
auth_type: ZodOptional<ZodNullable<...>>;
}, "passthrough", ZodTypeAny, objectOutputType<{
uuid: ZodString;
tsg_id: ZodString;
name: ZodString;
description: ZodOptional<...>;
target_type: ZodOptional<...>;
connection_type: ZodOptional<...>;
api_endpoint_type: ZodOptional<...>;
response_mode: ZodOptional<...>;
session_supported: ZodOptional<...>;
extra_info: ZodOptional<...>;
status: ZodString;
active: ZodBoolean;
validated: ZodBoolean;
version: ZodOptional<...>;
secret_version: ZodOptional<...>;
created_by_user_id: ZodOptional<...>;
updated_by_user_id: ZodOptional<...>;
created_at: ZodString;
updated_at: ZodString;
target_metadata: ZodOptional<...>;
target_background: ZodOptional<...>;
profiling_status: ZodOptional<...>;
additional_context: ZodOptional<...>;
auth_type: ZodOptional<...>;
}, ZodTypeAny, "passthrough">, objectInputType<{
uuid: ZodString;
tsg_id: ZodString;
name: ZodString;
description: ZodOptional<...>;
target_type: ZodOptional<...>;
connection_type: ZodOptional<...>;
api_endpoint_type: ZodOptional<...>;
response_mode: ZodOptional<...>;
session_supported: ZodOptional<...>;
extra_info: ZodOptional<...>;
status: ZodString;
active: ZodBoolean;
validated: ZodBoolean;
version: ZodOptional<...>;
secret_version: ZodOptional<...>;
created_by_user_id: ZodOptional<...>;
updated_by_user_id: ZodOptional<...>;
created_at: ZodString;
updated_at: ZodString;
target_metadata: ZodOptional<...>;
target_background: ZodOptional<...>;
profiling_status: ZodOptional<...>;
additional_context: ZodOptional<...>;
auth_type: ZodOptional<...>;
}, ZodTypeAny, "passthrough">>;
job_type: ZodString;
job_metadata: ZodUnknown;
version: ZodOptional<ZodNullable<ZodNumber>>;
extra_info: ZodOptional<ZodNullable<ZodRecord<ZodString, ZodUnknown>>>;
target_id: ZodString;
target_type: ZodString;
total: ZodOptional<ZodNullable<ZodNumber>>;
completed: ZodOptional<ZodNullable<ZodNumber>>;
status: ZodOptional<ZodString>;
score: ZodOptional<ZodNullable<ZodNumber>>;
asr: ZodOptional<ZodNullable<ZodNumber>>;
time_record: ZodOptional<ZodNullable<ZodObject<{
queued_at: ...;
started_at: ...;
completed_at: ...;
time_taken: ...;
}, "passthrough", ZodTypeAny, objectOutputType<..., ..., ...>, objectInputType<..., ..., ...>>>>;
created_at: ZodOptional<ZodNullable<ZodString>>;
updated_at: ZodOptional<ZodNullable<ZodString>>;
created_by_user_id: ZodOptional<ZodNullable<ZodString>>;
report_stats: ZodOptional<ZodUnknown>;
metering_quota_uuid: ZodOptional<ZodNullable<ZodString>>;
counted_towards_quota: ZodOptional<ZodString>;
invocation_id: ZodOptional<ZodNullable<ZodString>>;
}, ZodTypeAny, "passthrough">, objectInputType<{
uuid: ZodString;
tsg_id: ZodString;
name: ZodString;
target: ZodObject<{
uuid: ZodString;
tsg_id: ZodString;
name: ZodString;
description: ZodOptional<ZodNullable<...>>;
target_type: ZodOptional<ZodNullable<...>>;
connection_type: ZodOptional<ZodNullable<...>>;
api_endpoint_type: ZodOptional<ZodNullable<...>>;
response_mode: ZodOptional<ZodNullable<...>>;
session_supported: ZodOptional<ZodBoolean>;
extra_info: ZodOptional<ZodNullable<...>>;
status: ZodString;
active: ZodBoolean;
validated: ZodBoolean;
version: ZodOptional<ZodNullable<...>>;
secret_version: ZodOptional<ZodNullable<...>>;
created_by_user_id: ZodOptional<ZodNullable<...>>;
updated_by_user_id: ZodOptional<ZodNullable<...>>;
created_at: ZodString;
updated_at: ZodString;
target_metadata: ZodOptional<ZodObject<..., ..., ..., ..., ...>>;
target_background: ZodOptional<ZodNullable<...>>;
profiling_status: ZodOptional<ZodNullable<...>>;
additional_context: ZodOptional<ZodNullable<...>>;
auth_type: ZodOptional<ZodNullable<...>>;
}, "passthrough", ZodTypeAny, objectOutputType<{
uuid: ZodString;
tsg_id: ZodString;
name: ZodString;
description: ZodOptional<...>;
target_type: ZodOptional<...>;
connection_type: ZodOptional<...>;
api_endpoint_type: ZodOptional<...>;
response_mode: ZodOptional<...>;
session_supported: ZodOptional<...>;
extra_info: ZodOptional<...>;
status: ZodString;
active: ZodBoolean;
validated: ZodBoolean;
version: ZodOptional<...>;
secret_version: ZodOptional<...>;
created_by_user_id: ZodOptional<...>;
updated_by_user_id: ZodOptional<...>;
created_at: ZodString;
updated_at: ZodString;
target_metadata: ZodOptional<...>;
target_background: ZodOptional<...>;
profiling_status: ZodOptional<...>;
additional_context: ZodOptional<...>;
auth_type: ZodOptional<...>;
}, ZodTypeAny, "passthrough">, objectInputType<{
uuid: ZodString;
tsg_id: ZodString;
name: ZodString;
description: ZodOptional<...>;
target_type: ZodOptional<...>;
connection_type: ZodOptional<...>;
api_endpoint_type: ZodOptional<...>;
response_mode: ZodOptional<...>;
session_supported: ZodOptional<...>;
extra_info: ZodOptional<...>;
status: ZodString;
active: ZodBoolean;
validated: ZodBoolean;
version: ZodOptional<...>;
secret_version: ZodOptional<...>;
created_by_user_id: ZodOptional<...>;
updated_by_user_id: ZodOptional<...>;
created_at: ZodString;
updated_at: ZodString;
target_metadata: ZodOptional<...>;
target_background: ZodOptional<...>;
profiling_status: ZodOptional<...>;
additional_context: ZodOptional<...>;
auth_type: ZodOptional<...>;
}, ZodTypeAny, "passthrough">>;
job_type: ZodString;
job_metadata: ZodUnknown;
version: ZodOptional<ZodNullable<ZodNumber>>;
extra_info: ZodOptional<ZodNullable<ZodRecord<ZodString, ZodUnknown>>>;
target_id: ZodString;
target_type: ZodString;
total: ZodOptional<ZodNullable<ZodNumber>>;
completed: ZodOptional<ZodNullable<ZodNumber>>;
status: ZodOptional<ZodString>;
score: ZodOptional<ZodNullable<ZodNumber>>;
asr: ZodOptional<ZodNullable<ZodNumber>>;
time_record: ZodOptional<ZodNullable<ZodObject<{
queued_at: ...;
started_at: ...;
completed_at: ...;
time_taken: ...;
}, "passthrough", ZodTypeAny, objectOutputType<..., ..., ...>, objectInputType<..., ..., ...>>>>;
created_at: ZodOptional<ZodNullable<ZodString>>;
updated_at: ZodOptional<ZodNullable<ZodString>>;
created_by_user_id: ZodOptional<ZodNullable<ZodString>>;
report_stats: ZodOptional<ZodUnknown>;
metering_quota_uuid: ZodOptional<ZodNullable<ZodString>>;
counted_towards_quota: ZodOptional<ZodString>;
invocation_id: ZodOptional<ZodNullable<ZodString>>;
}, ZodTypeAny, "passthrough">>, "many">;
}, ZodTypeAny, "passthrough">>;

Defined in: src/red-team/scans-client.ts:93

List red team scan jobs with optional filters.

Parameters

ParameterTypeDescription
opts?RedTeamScanListOptionsOptional pagination, search, and filter options.

Returns

Promise<objectOutputType<{ pagination: ZodObject<{ total_items: ZodOptional<ZodNullable<ZodNumber>>; }, "passthrough", ZodTypeAny, objectOutputType<{ total_items: ZodOptional<ZodNullable<ZodNumber>>; }, ZodTypeAny, "passthrough">, objectInputType<{ total_items: ZodOptional<ZodNullable<ZodNumber>>; }, ZodTypeAny, "passthrough">>; data: ZodArray<ZodObject<{ uuid: ZodString; tsg_id: ZodString; name: ZodString; target: ZodObject<{ uuid: ZodString; tsg_id: ZodString; name: ZodString; description: ZodOptional<ZodNullable<ZodString>>; target_type: ZodOptional<ZodNullable<ZodString>>; connection_type: ZodOptional<ZodNullable<ZodString>>; api_endpoint_type: ZodOptional<ZodNullable<ZodString>>; response_mode: ZodOptional<ZodNullable<ZodString>>; session_supported: ZodOptional<ZodBoolean>; extra_info: ZodOptional<ZodNullable<ZodRecord<..., ...>>>; status: ZodString; active: ZodBoolean; validated: ZodBoolean; version: ZodOptional<ZodNullable<ZodNumber>>; secret_version: ZodOptional<ZodNullable<ZodString>>; created_by_user_id: ZodOptional<ZodNullable<ZodString>>; updated_by_user_id: ZodOptional<ZodNullable<ZodString>>; created_at: ZodString; updated_at: ZodString; target_metadata: ZodOptional<ZodObject<{ multi_turn: ...; multi_turn_error_message: ...; rate_limit: ...; rate_limit_enabled: ...; rate_limit_error_code: ...; rate_limit_error_json: ...; rate_limit_error_message: ...; content_filter_enabled: ...; content_filter_error_code: ...; content_filter_error_json: ...; content_filter_error_message: ...; probe_message: ...; request_timeout: ...; }, "passthrough", ZodTypeAny, objectOutputType<..., ..., ...>, objectInputType<..., ..., ...>>>; target_background: ZodOptional<ZodNullable<ZodObject<..., ..., ..., ..., ...>>>; profiling_status: ZodOptional<ZodNullable<ZodString>>; additional_context: ZodOptional<ZodNullable<ZodObject<..., ..., ..., ..., ...>>>; auth_type: ZodOptional<ZodNullable<ZodString>>; }, "passthrough", ZodTypeAny, objectOutputType<{ uuid: ZodString; tsg_id: ZodString; name: ZodString; description: ZodOptional<ZodNullable<...>>; target_type: ZodOptional<ZodNullable<...>>; connection_type: ZodOptional<ZodNullable<...>>; api_endpoint_type: ZodOptional<ZodNullable<...>>; response_mode: ZodOptional<ZodNullable<...>>; session_supported: ZodOptional<ZodBoolean>; extra_info: ZodOptional<ZodNullable<...>>; status: ZodString; active: ZodBoolean; validated: ZodBoolean; version: ZodOptional<ZodNullable<...>>; secret_version: ZodOptional<ZodNullable<...>>; created_by_user_id: ZodOptional<ZodNullable<...>>; updated_by_user_id: ZodOptional<ZodNullable<...>>; created_at: ZodString; updated_at: ZodString; target_metadata: ZodOptional<ZodObject<..., ..., ..., ..., ...>>; target_background: ZodOptional<ZodNullable<...>>; profiling_status: ZodOptional<ZodNullable<...>>; additional_context: ZodOptional<ZodNullable<...>>; auth_type: ZodOptional<ZodNullable<...>>; }, ZodTypeAny, "passthrough">, objectInputType<{ uuid: ZodString; tsg_id: ZodString; name: ZodString; description: ZodOptional<ZodNullable<...>>; target_type: ZodOptional<ZodNullable<...>>; connection_type: ZodOptional<ZodNullable<...>>; api_endpoint_type: ZodOptional<ZodNullable<...>>; response_mode: ZodOptional<ZodNullable<...>>; session_supported: ZodOptional<ZodBoolean>; extra_info: ZodOptional<ZodNullable<...>>; status: ZodString; active: ZodBoolean; validated: ZodBoolean; version: ZodOptional<ZodNullable<...>>; secret_version: ZodOptional<ZodNullable<...>>; created_by_user_id: ZodOptional<ZodNullable<...>>; updated_by_user_id: ZodOptional<ZodNullable<...>>; created_at: ZodString; updated_at: ZodString; target_metadata: ZodOptional<ZodObject<..., ..., ..., ..., ...>>; target_background: ZodOptional<ZodNullable<...>>; profiling_status: ZodOptional<ZodNullable<...>>; additional_context: ZodOptional<ZodNullable<...>>; auth_type: ZodOptional<ZodNullable<...>>; }, ZodTypeAny, "passthrough">>; job_type: ZodString; job_metadata: ZodUnknown; version: ZodOptional<ZodNullable<ZodNumber>>; extra_info: ZodOptional<ZodNullable<ZodRecord<ZodString, ZodUnknown>>>; target_id: ZodString; target_type: ZodString; total: ZodOptional<ZodNullable<ZodNumber>>; completed: ZodOptional<ZodNullable<ZodNumber>>; status: ZodOptional<ZodString>; score: ZodOptional<ZodNullable<ZodNumber>>; asr: ZodOptional<ZodNullable<ZodNumber>>; time_record: ZodOptional<ZodNullable<ZodObject<{ queued_at: ZodOptional<...>; started_at: ZodOptional<...>; completed_at: ZodOptional<...>; time_taken: ZodOptional<...>; }, "passthrough", ZodTypeAny, objectOutputType<{ queued_at: ...; started_at: ...; completed_at: ...; time_taken: ...; }, ZodTypeAny, "passthrough">, objectInputType<{ queued_at: ...; started_at: ...; completed_at: ...; time_taken: ...; }, ZodTypeAny, "passthrough">>>>; created_at: ZodOptional<ZodNullable<ZodString>>; updated_at: ZodOptional<ZodNullable<ZodString>>; created_by_user_id: ZodOptional<ZodNullable<ZodString>>; report_stats: ZodOptional<ZodUnknown>; metering_quota_uuid: ZodOptional<ZodNullable<ZodString>>; counted_towards_quota: ZodOptional<ZodString>; invocation_id: ZodOptional<ZodNullable<ZodString>>; }, "passthrough", ZodTypeAny, objectOutputType<{ uuid: ZodString; tsg_id: ZodString; name: ZodString; target: ZodObject<{ uuid: ZodString; tsg_id: ZodString; name: ZodString; description: ZodOptional<ZodNullable<...>>; target_type: ZodOptional<ZodNullable<...>>; connection_type: ZodOptional<ZodNullable<...>>; api_endpoint_type: ZodOptional<ZodNullable<...>>; response_mode: ZodOptional<ZodNullable<...>>; session_supported: ZodOptional<ZodBoolean>; extra_info: ZodOptional<ZodNullable<...>>; status: ZodString; active: ZodBoolean; validated: ZodBoolean; version: ZodOptional<ZodNullable<...>>; secret_version: ZodOptional<ZodNullable<...>>; created_by_user_id: ZodOptional<ZodNullable<...>>; updated_by_user_id: ZodOptional<ZodNullable<...>>; created_at: ZodString; updated_at: ZodString; target_metadata: ZodOptional<ZodObject<..., ..., ..., ..., ...>>; target_background: ZodOptional<ZodNullable<...>>; profiling_status: ZodOptional<ZodNullable<...>>; additional_context: ZodOptional<ZodNullable<...>>; auth_type: ZodOptional<ZodNullable<...>>; }, "passthrough", ZodTypeAny, objectOutputType<{ uuid: ZodString; tsg_id: ZodString; name: ZodString; description: ZodOptional<...>; target_type: ZodOptional<...>; connection_type: ZodOptional<...>; api_endpoint_type: ZodOptional<...>; response_mode: ZodOptional<...>; session_supported: ZodOptional<...>; extra_info: ZodOptional<...>; status: ZodString; active: ZodBoolean; validated: ZodBoolean; version: ZodOptional<...>; secret_version: ZodOptional<...>; created_by_user_id: ZodOptional<...>; updated_by_user_id: ZodOptional<...>; created_at: ZodString; updated_at: ZodString; target_metadata: ZodOptional<...>; target_background: ZodOptional<...>; profiling_status: ZodOptional<...>; additional_context: ZodOptional<...>; auth_type: ZodOptional<...>; }, ZodTypeAny, "passthrough">, objectInputType<{ uuid: ZodString; tsg_id: ZodString; name: ZodString; description: ZodOptional<...>; target_type: ZodOptional<...>; connection_type: ZodOptional<...>; api_endpoint_type: ZodOptional<...>; response_mode: ZodOptional<...>; session_supported: ZodOptional<...>; extra_info: ZodOptional<...>; status: ZodString; active: ZodBoolean; validated: ZodBoolean; version: ZodOptional<...>; secret_version: ZodOptional<...>; created_by_user_id: ZodOptional<...>; updated_by_user_id: ZodOptional<...>; created_at: ZodString; updated_at: ZodString; target_metadata: ZodOptional<...>; target_background: ZodOptional<...>; profiling_status: ZodOptional<...>; additional_context: ZodOptional<...>; auth_type: ZodOptional<...>; }, ZodTypeAny, "passthrough">>; job_type: ZodString; job_metadata: ZodUnknown; version: ZodOptional<ZodNullable<ZodNumber>>; extra_info: ZodOptional<ZodNullable<ZodRecord<ZodString, ZodUnknown>>>; target_id: ZodString; target_type: ZodString; total: ZodOptional<ZodNullable<ZodNumber>>; completed: ZodOptional<ZodNullable<ZodNumber>>; status: ZodOptional<ZodString>; score: ZodOptional<ZodNullable<ZodNumber>>; asr: ZodOptional<ZodNullable<ZodNumber>>; time_record: ZodOptional<ZodNullable<ZodObject<{ queued_at: ...; started_at: ...; completed_at: ...; time_taken: ...; }, "passthrough", ZodTypeAny, objectOutputType<..., ..., ...>, objectInputType<..., ..., ...>>>>; created_at: ZodOptional<ZodNullable<ZodString>>; updated_at: ZodOptional<ZodNullable<ZodString>>; created_by_user_id: ZodOptional<ZodNullable<ZodString>>; report_stats: ZodOptional<ZodUnknown>; metering_quota_uuid: ZodOptional<ZodNullable<ZodString>>; counted_towards_quota: ZodOptional<ZodString>; invocation_id: ZodOptional<ZodNullable<ZodString>>; }, ZodTypeAny, "passthrough">, objectInputType<{ uuid: ZodString; tsg_id: ZodString; name: ZodString; target: ZodObject<{ uuid: ZodString; tsg_id: ZodString; name: ZodString; description: ZodOptional<ZodNullable<...>>; target_type: ZodOptional<ZodNullable<...>>; connection_type: ZodOptional<ZodNullable<...>>; api_endpoint_type: ZodOptional<ZodNullable<...>>; response_mode: ZodOptional<ZodNullable<...>>; session_supported: ZodOptional<ZodBoolean>; extra_info: ZodOptional<ZodNullable<...>>; status: ZodString; active: ZodBoolean; validated: ZodBoolean; version: ZodOptional<ZodNullable<...>>; secret_version: ZodOptional<ZodNullable<...>>; created_by_user_id: ZodOptional<ZodNullable<...>>; updated_by_user_id: ZodOptional<ZodNullable<...>>; created_at: ZodString; updated_at: ZodString; target_metadata: ZodOptional<ZodObject<..., ..., ..., ..., ...>>; target_background: ZodOptional<ZodNullable<...>>; profiling_status: ZodOptional<ZodNullable<...>>; additional_context: ZodOptional<ZodNullable<...>>; auth_type: ZodOptional<ZodNullable<...>>; }, "passthrough", ZodTypeAny, objectOutputType<{ uuid: ZodString; tsg_id: ZodString; name: ZodString; description: ZodOptional<...>; target_type: ZodOptional<...>; connection_type: ZodOptional<...>; api_endpoint_type: ZodOptional<...>; response_mode: ZodOptional<...>; session_supported: ZodOptional<...>; extra_info: ZodOptional<...>; status: ZodString; active: ZodBoolean; validated: ZodBoolean; version: ZodOptional<...>; secret_version: ZodOptional<...>; created_by_user_id: ZodOptional<...>; updated_by_user_id: ZodOptional<...>; created_at: ZodString; updated_at: ZodString; target_metadata: ZodOptional<...>; target_background: ZodOptional<...>; profiling_status: ZodOptional<...>; additional_context: ZodOptional<...>; auth_type: ZodOptional<...>; }, ZodTypeAny, "passthrough">, objectInputType<{ uuid: ZodString; tsg_id: ZodString; name: ZodString; description: ZodOptional<...>; target_type: ZodOptional<...>; connection_type: ZodOptional<...>; api_endpoint_type: ZodOptional<...>; response_mode: ZodOptional<...>; session_supported: ZodOptional<...>; extra_info: ZodOptional<...>; status: ZodString; active: ZodBoolean; validated: ZodBoolean; version: ZodOptional<...>; secret_version: ZodOptional<...>; created_by_user_id: ZodOptional<...>; updated_by_user_id: ZodOptional<...>; created_at: ZodString; updated_at: ZodString; target_metadata: ZodOptional<...>; target_background: ZodOptional<...>; profiling_status: ZodOptional<...>; additional_context: ZodOptional<...>; auth_type: ZodOptional<...>; }, ZodTypeAny, "passthrough">>; job_type: ZodString; job_metadata: ZodUnknown; version: ZodOptional<ZodNullable<ZodNumber>>; extra_info: ZodOptional<ZodNullable<ZodRecord<ZodString, ZodUnknown>>>; target_id: ZodString; target_type: ZodString; total: ZodOptional<ZodNullable<ZodNumber>>; completed: ZodOptional<ZodNullable<ZodNumber>>; status: ZodOptional<ZodString>; score: ZodOptional<ZodNullable<ZodNumber>>; asr: ZodOptional<ZodNullable<ZodNumber>>; time_record: ZodOptional<ZodNullable<ZodObject<{ queued_at: ...; started_at: ...; completed_at: ...; time_taken: ...; }, "passthrough", ZodTypeAny, objectOutputType<..., ..., ...>, objectInputType<..., ..., ...>>>>; created_at: ZodOptional<ZodNullable<ZodString>>; updated_at: ZodOptional<ZodNullable<ZodString>>; created_by_user_id: ZodOptional<ZodNullable<ZodString>>; report_stats: ZodOptional<ZodUnknown>; metering_quota_uuid: ZodOptional<ZodNullable<ZodString>>; counted_towards_quota: ZodOptional<ZodString>; invocation_id: ZodOptional<ZodNullable<ZodString>>; }, ZodTypeAny, "passthrough">>, "many">; }, ZodTypeAny, "passthrough">>

The paginated list of scan jobs.

Example

import { RedTeamClient } from '@cdot65/prisma-airs-sdk';
const rt = new RedTeamClient();

const scans = await rt.scans.list({ limit: 5, status: 'COMPLETED' });
// scans =>
// { pagination: { total_items: 12 }, data: [{ uuid: '550e8400-...', name: 'job', status: 'COMPLETED', job_type: 'STATIC' }] }

get()

get(jobId): Promise<objectOutputType<{
uuid: ZodString;
tsg_id: ZodString;
name: ZodString;
target: ZodObject<{
uuid: ZodString;
tsg_id: ZodString;
name: ZodString;
description: ZodOptional<ZodNullable<ZodString>>;
target_type: ZodOptional<ZodNullable<ZodString>>;
connection_type: ZodOptional<ZodNullable<ZodString>>;
api_endpoint_type: ZodOptional<ZodNullable<ZodString>>;
response_mode: ZodOptional<ZodNullable<ZodString>>;
session_supported: ZodOptional<ZodBoolean>;
extra_info: ZodOptional<ZodNullable<ZodRecord<ZodString, ZodUnknown>>>;
status: ZodString;
active: ZodBoolean;
validated: ZodBoolean;
version: ZodOptional<ZodNullable<ZodNumber>>;
secret_version: ZodOptional<ZodNullable<ZodString>>;
created_by_user_id: ZodOptional<ZodNullable<ZodString>>;
updated_by_user_id: ZodOptional<ZodNullable<ZodString>>;
created_at: ZodString;
updated_at: ZodString;
target_metadata: ZodOptional<ZodObject<{
multi_turn: ZodOptional<ZodBoolean>;
multi_turn_error_message: ZodOptional<ZodNullable<ZodString>>;
rate_limit: ZodOptional<ZodNullable<ZodNumber>>;
rate_limit_enabled: ZodOptional<ZodBoolean>;
rate_limit_error_code: ZodOptional<ZodNullable<ZodNumber>>;
rate_limit_error_json: ZodOptional<ZodNullable<ZodRecord<..., ...>>>;
rate_limit_error_message: ZodOptional<ZodNullable<ZodString>>;
content_filter_enabled: ZodOptional<ZodBoolean>;
content_filter_error_code: ZodOptional<ZodNullable<ZodNumber>>;
content_filter_error_json: ZodOptional<ZodNullable<ZodRecord<..., ...>>>;
content_filter_error_message: ZodOptional<ZodNullable<ZodString>>;
probe_message: ZodOptional<ZodString>;
request_timeout: ZodOptional<ZodNumber>;
}, "passthrough", ZodTypeAny, objectOutputType<{
multi_turn: ZodOptional<ZodBoolean>;
multi_turn_error_message: ZodOptional<ZodNullable<...>>;
rate_limit: ZodOptional<ZodNullable<...>>;
rate_limit_enabled: ZodOptional<ZodBoolean>;
rate_limit_error_code: ZodOptional<ZodNullable<...>>;
rate_limit_error_json: ZodOptional<ZodNullable<...>>;
rate_limit_error_message: ZodOptional<ZodNullable<...>>;
content_filter_enabled: ZodOptional<ZodBoolean>;
content_filter_error_code: ZodOptional<ZodNullable<...>>;
content_filter_error_json: ZodOptional<ZodNullable<...>>;
content_filter_error_message: ZodOptional<ZodNullable<...>>;
probe_message: ZodOptional<ZodString>;
request_timeout: ZodOptional<ZodNumber>;
}, ZodTypeAny, "passthrough">, objectInputType<{
multi_turn: ZodOptional<ZodBoolean>;
multi_turn_error_message: ZodOptional<ZodNullable<...>>;
rate_limit: ZodOptional<ZodNullable<...>>;
rate_limit_enabled: ZodOptional<ZodBoolean>;
rate_limit_error_code: ZodOptional<ZodNullable<...>>;
rate_limit_error_json: ZodOptional<ZodNullable<...>>;
rate_limit_error_message: ZodOptional<ZodNullable<...>>;
content_filter_enabled: ZodOptional<ZodBoolean>;
content_filter_error_code: ZodOptional<ZodNullable<...>>;
content_filter_error_json: ZodOptional<ZodNullable<...>>;
content_filter_error_message: ZodOptional<ZodNullable<...>>;
probe_message: ZodOptional<ZodString>;
request_timeout: ZodOptional<ZodNumber>;
}, ZodTypeAny, "passthrough">>>;
target_background: ZodOptional<ZodNullable<ZodObject<{
industry: ZodOptional<ZodNullable<...>>;
use_case: ZodOptional<ZodNullable<...>>;
competitors: ZodOptional<ZodNullable<...>>;
}, "passthrough", ZodTypeAny, objectOutputType<{
industry: ZodOptional<...>;
use_case: ZodOptional<...>;
competitors: ZodOptional<...>;
}, ZodTypeAny, "passthrough">, objectInputType<{
industry: ZodOptional<...>;
use_case: ZodOptional<...>;
competitors: ZodOptional<...>;
}, ZodTypeAny, "passthrough">>>>;
profiling_status: ZodOptional<ZodNullable<ZodString>>;
additional_context: ZodOptional<ZodNullable<ZodObject<{
base_model: ZodOptional<ZodNullable<...>>;
core_architecture: ZodOptional<ZodNullable<...>>;
system_prompt: ZodOptional<ZodNullable<...>>;
languages_supported: ZodOptional<ZodNullable<...>>;
banned_keywords: ZodOptional<ZodNullable<...>>;
tools_accessible: ZodOptional<ZodNullable<...>>;
}, "passthrough", ZodTypeAny, objectOutputType<{
base_model: ZodOptional<...>;
core_architecture: ZodOptional<...>;
system_prompt: ZodOptional<...>;
languages_supported: ZodOptional<...>;
banned_keywords: ZodOptional<...>;
tools_accessible: ZodOptional<...>;
}, ZodTypeAny, "passthrough">, objectInputType<{
base_model: ZodOptional<...>;
core_architecture: ZodOptional<...>;
system_prompt: ZodOptional<...>;
languages_supported: ZodOptional<...>;
banned_keywords: ZodOptional<...>;
tools_accessible: ZodOptional<...>;
}, ZodTypeAny, "passthrough">>>>;
auth_type: ZodOptional<ZodNullable<ZodString>>;
}, "passthrough", ZodTypeAny, objectOutputType<{
uuid: ZodString;
tsg_id: ZodString;
name: ZodString;
description: ZodOptional<ZodNullable<ZodString>>;
target_type: ZodOptional<ZodNullable<ZodString>>;
connection_type: ZodOptional<ZodNullable<ZodString>>;
api_endpoint_type: ZodOptional<ZodNullable<ZodString>>;
response_mode: ZodOptional<ZodNullable<ZodString>>;
session_supported: ZodOptional<ZodBoolean>;
extra_info: ZodOptional<ZodNullable<ZodRecord<ZodString, ZodUnknown>>>;
status: ZodString;
active: ZodBoolean;
validated: ZodBoolean;
version: ZodOptional<ZodNullable<ZodNumber>>;
secret_version: ZodOptional<ZodNullable<ZodString>>;
created_by_user_id: ZodOptional<ZodNullable<ZodString>>;
updated_by_user_id: ZodOptional<ZodNullable<ZodString>>;
created_at: ZodString;
updated_at: ZodString;
target_metadata: ZodOptional<ZodObject<{
multi_turn: ZodOptional<ZodBoolean>;
multi_turn_error_message: ZodOptional<ZodNullable<...>>;
rate_limit: ZodOptional<ZodNullable<...>>;
rate_limit_enabled: ZodOptional<ZodBoolean>;
rate_limit_error_code: ZodOptional<ZodNullable<...>>;
rate_limit_error_json: ZodOptional<ZodNullable<...>>;
rate_limit_error_message: ZodOptional<ZodNullable<...>>;
content_filter_enabled: ZodOptional<ZodBoolean>;
content_filter_error_code: ZodOptional<ZodNullable<...>>;
content_filter_error_json: ZodOptional<ZodNullable<...>>;
content_filter_error_message: ZodOptional<ZodNullable<...>>;
probe_message: ZodOptional<ZodString>;
request_timeout: ZodOptional<ZodNumber>;
}, "passthrough", ZodTypeAny, objectOutputType<{
multi_turn: ZodOptional<...>;
multi_turn_error_message: ZodOptional<...>;
rate_limit: ZodOptional<...>;
rate_limit_enabled: ZodOptional<...>;
rate_limit_error_code: ZodOptional<...>;
rate_limit_error_json: ZodOptional<...>;
rate_limit_error_message: ZodOptional<...>;
content_filter_enabled: ZodOptional<...>;
content_filter_error_code: ZodOptional<...>;
content_filter_error_json: ZodOptional<...>;
content_filter_error_message: ZodOptional<...>;
probe_message: ZodOptional<...>;
request_timeout: ZodOptional<...>;
}, ZodTypeAny, "passthrough">, objectInputType<{
multi_turn: ZodOptional<...>;
multi_turn_error_message: ZodOptional<...>;
rate_limit: ZodOptional<...>;
rate_limit_enabled: ZodOptional<...>;
rate_limit_error_code: ZodOptional<...>;
rate_limit_error_json: ZodOptional<...>;
rate_limit_error_message: ZodOptional<...>;
content_filter_enabled: ZodOptional<...>;
content_filter_error_code: ZodOptional<...>;
content_filter_error_json: ZodOptional<...>;
content_filter_error_message: ZodOptional<...>;
probe_message: ZodOptional<...>;
request_timeout: ZodOptional<...>;
}, ZodTypeAny, "passthrough">>>;
target_background: ZodOptional<ZodNullable<ZodObject<{
industry: ZodOptional<...>;
use_case: ZodOptional<...>;
competitors: ZodOptional<...>;
}, "passthrough", ZodTypeAny, objectOutputType<{
industry: ...;
use_case: ...;
competitors: ...;
}, ZodTypeAny, "passthrough">, objectInputType<{
industry: ...;
use_case: ...;
competitors: ...;
}, ZodTypeAny, "passthrough">>>>;
profiling_status: ZodOptional<ZodNullable<ZodString>>;
additional_context: ZodOptional<ZodNullable<ZodObject<{
base_model: ZodOptional<...>;
core_architecture: ZodOptional<...>;
system_prompt: ZodOptional<...>;
languages_supported: ZodOptional<...>;
banned_keywords: ZodOptional<...>;
tools_accessible: ZodOptional<...>;
}, "passthrough", ZodTypeAny, objectOutputType<{
base_model: ...;
core_architecture: ...;
system_prompt: ...;
languages_supported: ...;
banned_keywords: ...;
tools_accessible: ...;
}, ZodTypeAny, "passthrough">, objectInputType<{
base_model: ...;
core_architecture: ...;
system_prompt: ...;
languages_supported: ...;
banned_keywords: ...;
tools_accessible: ...;
}, ZodTypeAny, "passthrough">>>>;
auth_type: ZodOptional<ZodNullable<ZodString>>;
}, ZodTypeAny, "passthrough">, objectInputType<{
uuid: ZodString;
tsg_id: ZodString;
name: ZodString;
description: ZodOptional<ZodNullable<ZodString>>;
target_type: ZodOptional<ZodNullable<ZodString>>;
connection_type: ZodOptional<ZodNullable<ZodString>>;
api_endpoint_type: ZodOptional<ZodNullable<ZodString>>;
response_mode: ZodOptional<ZodNullable<ZodString>>;
session_supported: ZodOptional<ZodBoolean>;
extra_info: ZodOptional<ZodNullable<ZodRecord<ZodString, ZodUnknown>>>;
status: ZodString;
active: ZodBoolean;
validated: ZodBoolean;
version: ZodOptional<ZodNullable<ZodNumber>>;
secret_version: ZodOptional<ZodNullable<ZodString>>;
created_by_user_id: ZodOptional<ZodNullable<ZodString>>;
updated_by_user_id: ZodOptional<ZodNullable<ZodString>>;
created_at: ZodString;
updated_at: ZodString;
target_metadata: ZodOptional<ZodObject<{
multi_turn: ZodOptional<ZodBoolean>;
multi_turn_error_message: ZodOptional<ZodNullable<...>>;
rate_limit: ZodOptional<ZodNullable<...>>;
rate_limit_enabled: ZodOptional<ZodBoolean>;
rate_limit_error_code: ZodOptional<ZodNullable<...>>;
rate_limit_error_json: ZodOptional<ZodNullable<...>>;
rate_limit_error_message: ZodOptional<ZodNullable<...>>;
content_filter_enabled: ZodOptional<ZodBoolean>;
content_filter_error_code: ZodOptional<ZodNullable<...>>;
content_filter_error_json: ZodOptional<ZodNullable<...>>;
content_filter_error_message: ZodOptional<ZodNullable<...>>;
probe_message: ZodOptional<ZodString>;
request_timeout: ZodOptional<ZodNumber>;
}, "passthrough", ZodTypeAny, objectOutputType<{
multi_turn: ZodOptional<...>;
multi_turn_error_message: ZodOptional<...>;
rate_limit: ZodOptional<...>;
rate_limit_enabled: ZodOptional<...>;
rate_limit_error_code: ZodOptional<...>;
rate_limit_error_json: ZodOptional<...>;
rate_limit_error_message: ZodOptional<...>;
content_filter_enabled: ZodOptional<...>;
content_filter_error_code: ZodOptional<...>;
content_filter_error_json: ZodOptional<...>;
content_filter_error_message: ZodOptional<...>;
probe_message: ZodOptional<...>;
request_timeout: ZodOptional<...>;
}, ZodTypeAny, "passthrough">, objectInputType<{
multi_turn: ZodOptional<...>;
multi_turn_error_message: ZodOptional<...>;
rate_limit: ZodOptional<...>;
rate_limit_enabled: ZodOptional<...>;
rate_limit_error_code: ZodOptional<...>;
rate_limit_error_json: ZodOptional<...>;
rate_limit_error_message: ZodOptional<...>;
content_filter_enabled: ZodOptional<...>;
content_filter_error_code: ZodOptional<...>;
content_filter_error_json: ZodOptional<...>;
content_filter_error_message: ZodOptional<...>;
probe_message: ZodOptional<...>;
request_timeout: ZodOptional<...>;
}, ZodTypeAny, "passthrough">>>;
target_background: ZodOptional<ZodNullable<ZodObject<{
industry: ZodOptional<...>;
use_case: ZodOptional<...>;
competitors: ZodOptional<...>;
}, "passthrough", ZodTypeAny, objectOutputType<{
industry: ...;
use_case: ...;
competitors: ...;
}, ZodTypeAny, "passthrough">, objectInputType<{
industry: ...;
use_case: ...;
competitors: ...;
}, ZodTypeAny, "passthrough">>>>;
profiling_status: ZodOptional<ZodNullable<ZodString>>;
additional_context: ZodOptional<ZodNullable<ZodObject<{
base_model: ZodOptional<...>;
core_architecture: ZodOptional<...>;
system_prompt: ZodOptional<...>;
languages_supported: ZodOptional<...>;
banned_keywords: ZodOptional<...>;
tools_accessible: ZodOptional<...>;
}, "passthrough", ZodTypeAny, objectOutputType<{
base_model: ...;
core_architecture: ...;
system_prompt: ...;
languages_supported: ...;
banned_keywords: ...;
tools_accessible: ...;
}, ZodTypeAny, "passthrough">, objectInputType<{
base_model: ...;
core_architecture: ...;
system_prompt: ...;
languages_supported: ...;
banned_keywords: ...;
tools_accessible: ...;
}, ZodTypeAny, "passthrough">>>>;
auth_type: ZodOptional<ZodNullable<ZodString>>;
}, ZodTypeAny, "passthrough">>;
job_type: ZodString;
job_metadata: ZodUnknown;
version: ZodOptional<ZodNullable<ZodNumber>>;
extra_info: ZodOptional<ZodNullable<ZodRecord<ZodString, ZodUnknown>>>;
target_id: ZodString;
target_type: ZodString;
total: ZodOptional<ZodNullable<ZodNumber>>;
completed: ZodOptional<ZodNullable<ZodNumber>>;
status: ZodOptional<ZodString>;
score: ZodOptional<ZodNullable<ZodNumber>>;
asr: ZodOptional<ZodNullable<ZodNumber>>;
time_record: ZodOptional<ZodNullable<ZodObject<{
queued_at: ZodOptional<ZodNullable<ZodString>>;
started_at: ZodOptional<ZodNullable<ZodString>>;
completed_at: ZodOptional<ZodNullable<ZodString>>;
time_taken: ZodOptional<ZodNullable<ZodString>>;
}, "passthrough", ZodTypeAny, objectOutputType<{
queued_at: ZodOptional<ZodNullable<ZodString>>;
started_at: ZodOptional<ZodNullable<ZodString>>;
completed_at: ZodOptional<ZodNullable<ZodString>>;
time_taken: ZodOptional<ZodNullable<ZodString>>;
}, ZodTypeAny, "passthrough">, objectInputType<{
queued_at: ZodOptional<ZodNullable<ZodString>>;
started_at: ZodOptional<ZodNullable<ZodString>>;
completed_at: ZodOptional<ZodNullable<ZodString>>;
time_taken: ZodOptional<ZodNullable<ZodString>>;
}, ZodTypeAny, "passthrough">>>>;
created_at: ZodOptional<ZodNullable<ZodString>>;
updated_at: ZodOptional<ZodNullable<ZodString>>;
created_by_user_id: ZodOptional<ZodNullable<ZodString>>;
report_stats: ZodOptional<ZodUnknown>;
metering_quota_uuid: ZodOptional<ZodNullable<ZodString>>;
counted_towards_quota: ZodOptional<ZodString>;
invocation_id: ZodOptional<ZodNullable<ZodString>>;
}, ZodTypeAny, "passthrough">>;

Defined in: src/red-team/scans-client.ts:124

Get a single scan job by ID.

Parameters

ParameterTypeDescription
jobIdstringThe job UUID.

Returns

Promise<objectOutputType<{ uuid: ZodString; tsg_id: ZodString; name: ZodString; target: ZodObject<{ uuid: ZodString; tsg_id: ZodString; name: ZodString; description: ZodOptional<ZodNullable<ZodString>>; target_type: ZodOptional<ZodNullable<ZodString>>; connection_type: ZodOptional<ZodNullable<ZodString>>; api_endpoint_type: ZodOptional<ZodNullable<ZodString>>; response_mode: ZodOptional<ZodNullable<ZodString>>; session_supported: ZodOptional<ZodBoolean>; extra_info: ZodOptional<ZodNullable<ZodRecord<ZodString, ZodUnknown>>>; status: ZodString; active: ZodBoolean; validated: ZodBoolean; version: ZodOptional<ZodNullable<ZodNumber>>; secret_version: ZodOptional<ZodNullable<ZodString>>; created_by_user_id: ZodOptional<ZodNullable<ZodString>>; updated_by_user_id: ZodOptional<ZodNullable<ZodString>>; created_at: ZodString; updated_at: ZodString; target_metadata: ZodOptional<ZodObject<{ multi_turn: ZodOptional<ZodBoolean>; multi_turn_error_message: ZodOptional<ZodNullable<ZodString>>; rate_limit: ZodOptional<ZodNullable<ZodNumber>>; rate_limit_enabled: ZodOptional<ZodBoolean>; rate_limit_error_code: ZodOptional<ZodNullable<ZodNumber>>; rate_limit_error_json: ZodOptional<ZodNullable<ZodRecord<..., ...>>>; rate_limit_error_message: ZodOptional<ZodNullable<ZodString>>; content_filter_enabled: ZodOptional<ZodBoolean>; content_filter_error_code: ZodOptional<ZodNullable<ZodNumber>>; content_filter_error_json: ZodOptional<ZodNullable<ZodRecord<..., ...>>>; content_filter_error_message: ZodOptional<ZodNullable<ZodString>>; probe_message: ZodOptional<ZodString>; request_timeout: ZodOptional<ZodNumber>; }, "passthrough", ZodTypeAny, objectOutputType<{ multi_turn: ZodOptional<ZodBoolean>; multi_turn_error_message: ZodOptional<ZodNullable<...>>; rate_limit: ZodOptional<ZodNullable<...>>; rate_limit_enabled: ZodOptional<ZodBoolean>; rate_limit_error_code: ZodOptional<ZodNullable<...>>; rate_limit_error_json: ZodOptional<ZodNullable<...>>; rate_limit_error_message: ZodOptional<ZodNullable<...>>; content_filter_enabled: ZodOptional<ZodBoolean>; content_filter_error_code: ZodOptional<ZodNullable<...>>; content_filter_error_json: ZodOptional<ZodNullable<...>>; content_filter_error_message: ZodOptional<ZodNullable<...>>; probe_message: ZodOptional<ZodString>; request_timeout: ZodOptional<ZodNumber>; }, ZodTypeAny, "passthrough">, objectInputType<{ multi_turn: ZodOptional<ZodBoolean>; multi_turn_error_message: ZodOptional<ZodNullable<...>>; rate_limit: ZodOptional<ZodNullable<...>>; rate_limit_enabled: ZodOptional<ZodBoolean>; rate_limit_error_code: ZodOptional<ZodNullable<...>>; rate_limit_error_json: ZodOptional<ZodNullable<...>>; rate_limit_error_message: ZodOptional<ZodNullable<...>>; content_filter_enabled: ZodOptional<ZodBoolean>; content_filter_error_code: ZodOptional<ZodNullable<...>>; content_filter_error_json: ZodOptional<ZodNullable<...>>; content_filter_error_message: ZodOptional<ZodNullable<...>>; probe_message: ZodOptional<ZodString>; request_timeout: ZodOptional<ZodNumber>; }, ZodTypeAny, "passthrough">>>; target_background: ZodOptional<ZodNullable<ZodObject<{ industry: ZodOptional<ZodNullable<...>>; use_case: ZodOptional<ZodNullable<...>>; competitors: ZodOptional<ZodNullable<...>>; }, "passthrough", ZodTypeAny, objectOutputType<{ industry: ZodOptional<...>; use_case: ZodOptional<...>; competitors: ZodOptional<...>; }, ZodTypeAny, "passthrough">, objectInputType<{ industry: ZodOptional<...>; use_case: ZodOptional<...>; competitors: ZodOptional<...>; }, ZodTypeAny, "passthrough">>>>; profiling_status: ZodOptional<ZodNullable<ZodString>>; additional_context: ZodOptional<ZodNullable<ZodObject<{ base_model: ZodOptional<ZodNullable<...>>; core_architecture: ZodOptional<ZodNullable<...>>; system_prompt: ZodOptional<ZodNullable<...>>; languages_supported: ZodOptional<ZodNullable<...>>; banned_keywords: ZodOptional<ZodNullable<...>>; tools_accessible: ZodOptional<ZodNullable<...>>; }, "passthrough", ZodTypeAny, objectOutputType<{ base_model: ZodOptional<...>; core_architecture: ZodOptional<...>; system_prompt: ZodOptional<...>; languages_supported: ZodOptional<...>; banned_keywords: ZodOptional<...>; tools_accessible: ZodOptional<...>; }, ZodTypeAny, "passthrough">, objectInputType<{ base_model: ZodOptional<...>; core_architecture: ZodOptional<...>; system_prompt: ZodOptional<...>; languages_supported: ZodOptional<...>; banned_keywords: ZodOptional<...>; tools_accessible: ZodOptional<...>; }, ZodTypeAny, "passthrough">>>>; auth_type: ZodOptional<ZodNullable<ZodString>>; }, "passthrough", ZodTypeAny, objectOutputType<{ uuid: ZodString; tsg_id: ZodString; name: ZodString; description: ZodOptional<ZodNullable<ZodString>>; target_type: ZodOptional<ZodNullable<ZodString>>; connection_type: ZodOptional<ZodNullable<ZodString>>; api_endpoint_type: ZodOptional<ZodNullable<ZodString>>; response_mode: ZodOptional<ZodNullable<ZodString>>; session_supported: ZodOptional<ZodBoolean>; extra_info: ZodOptional<ZodNullable<ZodRecord<ZodString, ZodUnknown>>>; status: ZodString; active: ZodBoolean; validated: ZodBoolean; version: ZodOptional<ZodNullable<ZodNumber>>; secret_version: ZodOptional<ZodNullable<ZodString>>; created_by_user_id: ZodOptional<ZodNullable<ZodString>>; updated_by_user_id: ZodOptional<ZodNullable<ZodString>>; created_at: ZodString; updated_at: ZodString; target_metadata: ZodOptional<ZodObject<{ multi_turn: ZodOptional<ZodBoolean>; multi_turn_error_message: ZodOptional<ZodNullable<...>>; rate_limit: ZodOptional<ZodNullable<...>>; rate_limit_enabled: ZodOptional<ZodBoolean>; rate_limit_error_code: ZodOptional<ZodNullable<...>>; rate_limit_error_json: ZodOptional<ZodNullable<...>>; rate_limit_error_message: ZodOptional<ZodNullable<...>>; content_filter_enabled: ZodOptional<ZodBoolean>; content_filter_error_code: ZodOptional<ZodNullable<...>>; content_filter_error_json: ZodOptional<ZodNullable<...>>; content_filter_error_message: ZodOptional<ZodNullable<...>>; probe_message: ZodOptional<ZodString>; request_timeout: ZodOptional<ZodNumber>; }, "passthrough", ZodTypeAny, objectOutputType<{ multi_turn: ZodOptional<...>; multi_turn_error_message: ZodOptional<...>; rate_limit: ZodOptional<...>; rate_limit_enabled: ZodOptional<...>; rate_limit_error_code: ZodOptional<...>; rate_limit_error_json: ZodOptional<...>; rate_limit_error_message: ZodOptional<...>; content_filter_enabled: ZodOptional<...>; content_filter_error_code: ZodOptional<...>; content_filter_error_json: ZodOptional<...>; content_filter_error_message: ZodOptional<...>; probe_message: ZodOptional<...>; request_timeout: ZodOptional<...>; }, ZodTypeAny, "passthrough">, objectInputType<{ multi_turn: ZodOptional<...>; multi_turn_error_message: ZodOptional<...>; rate_limit: ZodOptional<...>; rate_limit_enabled: ZodOptional<...>; rate_limit_error_code: ZodOptional<...>; rate_limit_error_json: ZodOptional<...>; rate_limit_error_message: ZodOptional<...>; content_filter_enabled: ZodOptional<...>; content_filter_error_code: ZodOptional<...>; content_filter_error_json: ZodOptional<...>; content_filter_error_message: ZodOptional<...>; probe_message: ZodOptional<...>; request_timeout: ZodOptional<...>; }, ZodTypeAny, "passthrough">>>; target_background: ZodOptional<ZodNullable<ZodObject<{ industry: ZodOptional<...>; use_case: ZodOptional<...>; competitors: ZodOptional<...>; }, "passthrough", ZodTypeAny, objectOutputType<{ industry: ...; use_case: ...; competitors: ...; }, ZodTypeAny, "passthrough">, objectInputType<{ industry: ...; use_case: ...; competitors: ...; }, ZodTypeAny, "passthrough">>>>; profiling_status: ZodOptional<ZodNullable<ZodString>>; additional_context: ZodOptional<ZodNullable<ZodObject<{ base_model: ZodOptional<...>; core_architecture: ZodOptional<...>; system_prompt: ZodOptional<...>; languages_supported: ZodOptional<...>; banned_keywords: ZodOptional<...>; tools_accessible: ZodOptional<...>; }, "passthrough", ZodTypeAny, objectOutputType<{ base_model: ...; core_architecture: ...; system_prompt: ...; languages_supported: ...; banned_keywords: ...; tools_accessible: ...; }, ZodTypeAny, "passthrough">, objectInputType<{ base_model: ...; core_architecture: ...; system_prompt: ...; languages_supported: ...; banned_keywords: ...; tools_accessible: ...; }, ZodTypeAny, "passthrough">>>>; auth_type: ZodOptional<ZodNullable<ZodString>>; }, ZodTypeAny, "passthrough">, objectInputType<{ uuid: ZodString; tsg_id: ZodString; name: ZodString; description: ZodOptional<ZodNullable<ZodString>>; target_type: ZodOptional<ZodNullable<ZodString>>; connection_type: ZodOptional<ZodNullable<ZodString>>; api_endpoint_type: ZodOptional<ZodNullable<ZodString>>; response_mode: ZodOptional<ZodNullable<ZodString>>; session_supported: ZodOptional<ZodBoolean>; extra_info: ZodOptional<ZodNullable<ZodRecord<ZodString, ZodUnknown>>>; status: ZodString; active: ZodBoolean; validated: ZodBoolean; version: ZodOptional<ZodNullable<ZodNumber>>; secret_version: ZodOptional<ZodNullable<ZodString>>; created_by_user_id: ZodOptional<ZodNullable<ZodString>>; updated_by_user_id: ZodOptional<ZodNullable<ZodString>>; created_at: ZodString; updated_at: ZodString; target_metadata: ZodOptional<ZodObject<{ multi_turn: ZodOptional<ZodBoolean>; multi_turn_error_message: ZodOptional<ZodNullable<...>>; rate_limit: ZodOptional<ZodNullable<...>>; rate_limit_enabled: ZodOptional<ZodBoolean>; rate_limit_error_code: ZodOptional<ZodNullable<...>>; rate_limit_error_json: ZodOptional<ZodNullable<...>>; rate_limit_error_message: ZodOptional<ZodNullable<...>>; content_filter_enabled: ZodOptional<ZodBoolean>; content_filter_error_code: ZodOptional<ZodNullable<...>>; content_filter_error_json: ZodOptional<ZodNullable<...>>; content_filter_error_message: ZodOptional<ZodNullable<...>>; probe_message: ZodOptional<ZodString>; request_timeout: ZodOptional<ZodNumber>; }, "passthrough", ZodTypeAny, objectOutputType<{ multi_turn: ZodOptional<...>; multi_turn_error_message: ZodOptional<...>; rate_limit: ZodOptional<...>; rate_limit_enabled: ZodOptional<...>; rate_limit_error_code: ZodOptional<...>; rate_limit_error_json: ZodOptional<...>; rate_limit_error_message: ZodOptional<...>; content_filter_enabled: ZodOptional<...>; content_filter_error_code: ZodOptional<...>; content_filter_error_json: ZodOptional<...>; content_filter_error_message: ZodOptional<...>; probe_message: ZodOptional<...>; request_timeout: ZodOptional<...>; }, ZodTypeAny, "passthrough">, objectInputType<{ multi_turn: ZodOptional<...>; multi_turn_error_message: ZodOptional<...>; rate_limit: ZodOptional<...>; rate_limit_enabled: ZodOptional<...>; rate_limit_error_code: ZodOptional<...>; rate_limit_error_json: ZodOptional<...>; rate_limit_error_message: ZodOptional<...>; content_filter_enabled: ZodOptional<...>; content_filter_error_code: ZodOptional<...>; content_filter_error_json: ZodOptional<...>; content_filter_error_message: ZodOptional<...>; probe_message: ZodOptional<...>; request_timeout: ZodOptional<...>; }, ZodTypeAny, "passthrough">>>; target_background: ZodOptional<ZodNullable<ZodObject<{ industry: ZodOptional<...>; use_case: ZodOptional<...>; competitors: ZodOptional<...>; }, "passthrough", ZodTypeAny, objectOutputType<{ industry: ...; use_case: ...; competitors: ...; }, ZodTypeAny, "passthrough">, objectInputType<{ industry: ...; use_case: ...; competitors: ...; }, ZodTypeAny, "passthrough">>>>; profiling_status: ZodOptional<ZodNullable<ZodString>>; additional_context: ZodOptional<ZodNullable<ZodObject<{ base_model: ZodOptional<...>; core_architecture: ZodOptional<...>; system_prompt: ZodOptional<...>; languages_supported: ZodOptional<...>; banned_keywords: ZodOptional<...>; tools_accessible: ZodOptional<...>; }, "passthrough", ZodTypeAny, objectOutputType<{ base_model: ...; core_architecture: ...; system_prompt: ...; languages_supported: ...; banned_keywords: ...; tools_accessible: ...; }, ZodTypeAny, "passthrough">, objectInputType<{ base_model: ...; core_architecture: ...; system_prompt: ...; languages_supported: ...; banned_keywords: ...; tools_accessible: ...; }, ZodTypeAny, "passthrough">>>>; auth_type: ZodOptional<ZodNullable<ZodString>>; }, ZodTypeAny, "passthrough">>; job_type: ZodString; job_metadata: ZodUnknown; version: ZodOptional<ZodNullable<ZodNumber>>; extra_info: ZodOptional<ZodNullable<ZodRecord<ZodString, ZodUnknown>>>; target_id: ZodString; target_type: ZodString; total: ZodOptional<ZodNullable<ZodNumber>>; completed: ZodOptional<ZodNullable<ZodNumber>>; status: ZodOptional<ZodString>; score: ZodOptional<ZodNullable<ZodNumber>>; asr: ZodOptional<ZodNullable<ZodNumber>>; time_record: ZodOptional<ZodNullable<ZodObject<{ queued_at: ZodOptional<ZodNullable<ZodString>>; started_at: ZodOptional<ZodNullable<ZodString>>; completed_at: ZodOptional<ZodNullable<ZodString>>; time_taken: ZodOptional<ZodNullable<ZodString>>; }, "passthrough", ZodTypeAny, objectOutputType<{ queued_at: ZodOptional<ZodNullable<ZodString>>; started_at: ZodOptional<ZodNullable<ZodString>>; completed_at: ZodOptional<ZodNullable<ZodString>>; time_taken: ZodOptional<ZodNullable<ZodString>>; }, ZodTypeAny, "passthrough">, objectInputType<{ queued_at: ZodOptional<ZodNullable<ZodString>>; started_at: ZodOptional<ZodNullable<ZodString>>; completed_at: ZodOptional<ZodNullable<ZodString>>; time_taken: ZodOptional<ZodNullable<ZodString>>; }, ZodTypeAny, "passthrough">>>>; created_at: ZodOptional<ZodNullable<ZodString>>; updated_at: ZodOptional<ZodNullable<ZodString>>; created_by_user_id: ZodOptional<ZodNullable<ZodString>>; report_stats: ZodOptional<ZodUnknown>; metering_quota_uuid: ZodOptional<ZodNullable<ZodString>>; counted_towards_quota: ZodOptional<ZodString>; invocation_id: ZodOptional<ZodNullable<ZodString>>; }, ZodTypeAny, "passthrough">>

The job response.

Example

import { RedTeamClient } from '@cdot65/prisma-airs-sdk';
const rt = new RedTeamClient();

const job = await rt.scans.get('550e8400-e29b-41d4-a716-446655440000');
// job =>
// { uuid: '550e8400-...', name: 'job', status: 'RUNNING', job_type: 'STATIC', target_id: '550e8400-...' }

abort()

abort(jobId): Promise<objectOutputType<{
job_id: ZodString;
message: ZodString;
}, ZodTypeAny, "passthrough">>;

Defined in: src/red-team/scans-client.ts:150

Abort a running scan job.

Parameters

ParameterTypeDescription
jobIdstringThe job UUID.

Returns

Promise<objectOutputType<{ job_id: ZodString; message: ZodString; }, ZodTypeAny, "passthrough">>

The abort response.

Example

import { RedTeamClient } from '@cdot65/prisma-airs-sdk';
const rt = new RedTeamClient();

const result = await rt.scans.abort('550e8400-e29b-41d4-a716-446655440000');
// result =>
// { job_id: '550e8400-...', message: 'aborted' }

getCategories()

getCategories(): Promise<objectOutputType<{
id: ZodString;
display_name: ZodString;
description: ZodString;
preselect: ZodOptional<ZodBoolean>;
sub_categories: ZodArray<ZodObject<{
id: ZodString;
display_name: ZodString;
description: ZodString;
preselect: ZodOptional<ZodBoolean>;
prerequisites: ZodOptional<ZodNullable<ZodArray<ZodObject<..., ..., ..., ..., ...>, "many">>>;
active: ZodOptional<ZodBoolean>;
}, "passthrough", ZodTypeAny, objectOutputType<{
id: ZodString;
display_name: ZodString;
description: ZodString;
preselect: ZodOptional<ZodBoolean>;
prerequisites: ZodOptional<ZodNullable<ZodArray<..., ...>>>;
active: ZodOptional<ZodBoolean>;
}, ZodTypeAny, "passthrough">, objectInputType<{
id: ZodString;
display_name: ZodString;
description: ZodString;
preselect: ZodOptional<ZodBoolean>;
prerequisites: ZodOptional<ZodNullable<ZodArray<..., ...>>>;
active: ZodOptional<ZodBoolean>;
}, ZodTypeAny, "passthrough">>, "many">;
}, ZodTypeAny, "passthrough">[]>;

Defined in: src/red-team/scans-client.ts:175

Get all categories with subcategories.

Returns

Promise<objectOutputType<{ id: ZodString; display_name: ZodString; description: ZodString; preselect: ZodOptional<ZodBoolean>; sub_categories: ZodArray<ZodObject<{ id: ZodString; display_name: ZodString; description: ZodString; preselect: ZodOptional<ZodBoolean>; prerequisites: ZodOptional<ZodNullable<ZodArray<ZodObject<..., ..., ..., ..., ...>, "many">>>; active: ZodOptional<ZodBoolean>; }, "passthrough", ZodTypeAny, objectOutputType<{ id: ZodString; display_name: ZodString; description: ZodString; preselect: ZodOptional<ZodBoolean>; prerequisites: ZodOptional<ZodNullable<ZodArray<..., ...>>>; active: ZodOptional<ZodBoolean>; }, ZodTypeAny, "passthrough">, objectInputType<{ id: ZodString; display_name: ZodString; description: ZodString; preselect: ZodOptional<ZodBoolean>; prerequisites: ZodOptional<ZodNullable<ZodArray<..., ...>>>; active: ZodOptional<ZodBoolean>; }, ZodTypeAny, "passthrough">>, "many">; }, ZodTypeAny, "passthrough">[]>

The list of category models.

Example

import { RedTeamClient } from '@cdot65/prisma-airs-sdk';
const rt = new RedTeamClient();

const categories = await rt.scans.getCategories();
// categories =>
// [{ id: 'jailbreak', display_name: 'Jailbreak', description: '...', sub_categories: [] }]